<style>
    .account-activate-generate-button {
        font-size: 20px;
        padding: 8px 12px;
        background-color: #2189c3;
        color: #fff;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 9999;
        cursor: pointer;
        border: none;
        border-radius: 4px;
        /* Add transition for smooth animation */
        transition: transform 0.1s ease, box-shadow 0.1s ease;
        /* Add box-shadow for 3D effect */
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3), 0 6px 20px rgba(0, 0, 0, 0.15);
    }

    .account-activate-generate-button:active {
        /* Move the button down slightly when pressed */
        transform: translate(-50%, -50%) translateY(1px);
        /* Adjust box-shadow for pressed effect */
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3), 0 2px 4px rgba(0, 0, 0, 0.15);
    }

    .save-cta-info.change-account {
        display: ruby-text;
    }
</style>

<div class="loaderoverlay">
    <div class="loader-cv-spinner">
        <span class="loader-spinner"></span>
    </div>
</div>
<?php
if (!defined('ABSPATH'))
    exit;

session_start();

include_once(PLUGIN_DIR . 'includes/wp-global.php');
global $wpdb, $current_user, $userStatus,  $sessionLogin, $api_user_id, $openAi;

wp_get_current_user();
$user_id = $current_user->ID;

if ($settingData) {
    $singleSettingArray = $settingData[0];
}

$modelRequest  = wp_remote_get($apiUrl . 'fetch-models');
$modelResponse = wp_remote_retrieve_body($modelRequest);

$gpt4_models = [];
$gpt35_models = [];
$custom_models = [];

if ($modelResponse) {
    $modelData = json_decode($modelResponse, true);
    foreach ($modelData['data'] as $model) {
        if (strpos($model['name'], 'gpt-4') !== false) {
            $gpt4_models[$model['name']] = $model['name'];
        } elseif (strpos($model['name'], 'gpt-3.5') !== false) {
            $gpt35_models[$model['name']] = $model['name'];
        } else {
            $custom_models[$model['name']] = $model['name'];
        }
    }
}
$current_model = isset($singleSettingArray['model']) ? $singleSettingArray['model'] : '';
?>
<!-- Google fonts -->
<div class="plugins-accounts-wrapper plugins-my-account-page-wrapper">
    <h1> Accounts</h1>
    <div class="plugins-accounts-info">
        <div class="left-sec-wrap">
            <div class="logo-info">
                <div class="icon-info"><?php echo $iWhitelogo; ?></div>
            </div>
            <ul>
                <li><a href="javascript:void(0)" class="menu-link-info active" data-target="tabs-1">
                        <div class="icon-info"><?php echo $aiEngine; ?></div>My Account
                    </a>
                </li>
            </ul>
        </div>
        <div class="right-sec-wrap">
            <div class="main-content-wrap">
                <div class="main-content-info tabs active" data-tab="tabs-1">
                    <?php if (!$sessionLogin) { ?>
                        <div class="form-container">
                            <div class="form-content" style="flex: 1; max-width: 500px; background-color: #fff; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); border-radius: 10px; padding: 2rem;">
                                <div id="login-form">
                                    <h2 style="text-align: center; color: #007bff; margin-bottom: 1rem;">Login</h2>
                                    <form id="loginForm" method="POST" autocomplete="off">
                                        <div style="margin-bottom: 1rem;">
                                            <label for="emailLogin" style="display: block; font-weight: bold; margin-bottom: 0.5rem;">Email address</label>
                                            <input type="email" id="emailLogin" name="email" placeholder="Enter email" style="width: 100%; padding: 0.5rem; border: 1px solid #ced4da; border-radius: 5px; box-sizing: border-box;" required>
                                        </div>
                                        <div style="margin-bottom: 1rem;">
                                            <label for="passwordLogin" style="display: block; font-weight: bold; margin-bottom: 0.5rem;">Password</label>
                                            <input type="password" id="passwordLogin" name="password" placeholder="Password" required style="width: 100%; padding: 0.5rem; border: 1px solid #ced4da; border-radius: 5px; box-sizing: border-box;" autocomplete="off">
                                        </div>
                                        <button type="button" onclick="accountLogin()" style="display: inline-block; width: 100%; padding: 0.75rem; background-color: #007bff; color: #fff; text-align: center; border: none; border-radius: 50px; cursor: pointer; font-size: 1rem;">Login</button>
                                        <p style="text-align: center; margin-top: 1rem;">Don't have an account? <a href="javascript:void(0)" id="switch-to-signup" style="color: #007bff; text-decoration: none; cursor: pointer;">Sign Up</a></p>
                                        <p style="text-align: center; margin-top: 1rem;">
                                            <a href="https://aiharness.io/portal/password/reset" target="_blank" style="color: #007bff; text-decoration: none; cursor: pointer;">Forgot Password?</a>
                                        </p>
                                        <input type="hidden" id="aih_account_nonce" value="<?php echo wp_create_nonce('aih_account_nonce'); ?>">
                                    </form>
                                </div>
                                <div id="signup-form" style="display: none;">
                                    <h2 style="text-align: center; color: #007bff; margin-bottom: 1rem;">Register</h2>
                                    <form method="POST" autocomplete="off">
                                        <div style="margin-bottom: 1rem;">
                                            <label for="emailSignup" style="display: block; font-weight: bold; margin-bottom: 0.5rem;">Email address</label>
                                            <input type="email" id="emailSignup" name="email" placeholder="Enter email" style="width: 100%; padding: 0.5rem; border: 1px solid #ced4da; border-radius: 5px; box-sizing: border-box;" required>
                                        </div>
                                        <div style="margin-bottom: 1rem;">
                                            <label for="passwordSignup" style="display: block; font-weight: bold; margin-bottom: 0.5rem;">Password</label>
                                            <input type="password" id="passwordSignup" name="password" placeholder="Password" required style="width: 100%; padding: 0.5rem; border: 1px solid #ced4da; border-radius: 5px; box-sizing: border-box;" autocomplete="off">
                                        </div>
                                        <div style="margin-bottom: 1rem;">
                                            <label for="confirmPassword" style="display: block; font-weight: bold; margin-bottom: 0.5rem;">Confirm Password</label>
                                            <input type="password" id="confirmPassword" name="confirmPassword" placeholder="Confirm Password" required style="width: 100%; padding: 0.5rem; border: 1px solid #ced4da; border-radius: 5px; box-sizing: border-box;" autocomplete="off">
                                        </div>
                                        <button type="button" onclick="accountActivate()" style="display: inline-block; width: 100%; padding: 0.75rem; background-color: #007bff; color: #fff; text-align: center; border: none; border-radius: 50px; cursor: pointer; font-size: 1rem;">Sign Up</button>
                                        <p style="text-align: center; margin-top: 1rem;">Already have an account? <a href="javascript:void(0)" id="switch-to-login" style="color: #007bff; text-decoration: none; cursor: pointer;">Login</a></p>
                                    </form>
                                </div>
                            </div>
                        <?php  } else { ?>
                            <div class="save-cta-info change-account">
                                <h3>My Account</h3>
                                <a href="javascript:void(0)" onclick="clearSessionAndReload()">Change Account</a>
                            </div>
                            <div class="content-area-info">
                                <div class="left-data-info">
                                    <div class="right-content-info">
                                        <div class="input-data">
                                            <div class="label-info"><span>API Key:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="api-key" placeholder="Enter Api Key" />
                                                <div class="sub-cta-info">
                                                    <a href="https://platform.openai.com/account/api-keys" target="_blank">Get Your Api Key</a>
                                                </div>
                                            </div>

                                            <span id="api-key-error" class="error"></span>
                                        </div>
                                        <div class="save-cta-info">
                                            <div class="button-box-generate-image">
                                                <a href="javascript:void(0)" id="apikey" attrSetting=<?php echo $settingData ? 'settng_update' : 'settng_insert'; ?> class="generate-button">Validate Key</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="right-data-info">
                                    <div class="please-note-info">
                                        <p><strong>Please note:</strong> First enter your API key. If you don't have any API
                                            key, then click on "Get Your Api Key."
                                            If you don't know how to generate an API key, you can watch the tutorial video below
                                            to get your API key.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="content-area-info">
                                <div class="left-data-info">
                                    <div class="right-content-info">

                                        <span id="model-input-error" class="error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Temperature:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="temperature" placeholder="Please Enter Temperature between 0 to 1" />

                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/temperature/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>
                                        </div>
                                        <span id="temperature-error" class="error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Max Tokens:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="max-token" placeholder="Please enter max-token maximum 4096" />

                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/max-tokens/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>
                                        </div>
                                        <span id="max-token-error" class="error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Top P:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="top-p" placeholder="Please enter top p value either 0 or 1" />

                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/top_p/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>
                                        </div>
                                        <span id="top-p-error" class="error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Best Of:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="best-of" placeholder="Please enter best of value either 0 or 1" />

                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/best-of/" target="_blank">
                                                    <?php echo $iQuestionmark; ?>
                                                </a>
                                            </div>
                                        </div>
                                        <span id="best-of-error" class="error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Frequency Penalty:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="frequency-penalty" placeholder="Please enter best of value either 0 or 1" />


                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/frequency-penalty/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>

                                        </div>
                                        <span id="frequency-penalty-error"></span>
                                        <div class="input-data">
                                            <div class="label-info"><span>Presence Penalty:</span></div>
                                            <div class="input-info">
                                                <input type="text" id="presence-penalty" placeholder="Please enter best of value either 0 or 1" />
                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-wordpress/ai-engines/presence-penalty/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>
                                        </div>

                                        <div class="input-data">
                                            <div class="label-info"><span>Model:</span></div>
                                            <div class="input-info">
                                                <select id="model" name="model" class="specific-select">
                                                    <option value=""><?php echo esc_html__('Select One'); ?></option>
                                                    <optgroup label="GPT-4">
                                                        <?php foreach ($gpt4_models as $value => $name) { ?>
                                                            <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                                <?php echo esc_html($name); ?>
                                                            </option>
                                                        <?php } ?>
                                                    </optgroup>
                                                    <optgroup label="GPT-3.5">
                                                        <?php foreach ($gpt35_models as $value => $name) { ?>
                                                            <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                                <?php echo esc_html($name); ?>
                                                            </option>
                                                        <?php } ?>
                                                    </optgroup>
                                                    <optgroup label="Custom Models">
                                                        <?php foreach ($custom_models as $value => $name) { ?>
                                                            <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                                <?php echo esc_html($name); ?>
                                                            </option>
                                                        <?php } ?>
                                                    </optgroup>
                                                </select>
                                                <a href="https://aiharness.io/docs/documentations/ai-harness-for-shopify/ai-engines/models/" target="_blank"><?php echo $iQuestionmark; ?></a>
                                            </div>
                                        </div>

                                        <div class="save-cta-info">
                                            <div class="button-box-generate-image">
                                                <input type="hidden" id="aih_setting_nonce" value="<?php echo wp_create_nonce('aih_setting_nonce'); ?>">
                                                <a href="javascript:void(0)" id="setting" attrSetting="<?php echo (count($settingData) == 0) ? 'settng_insert' : 'settng_update'; ?>" class="generate-button">Save</a>
                                            </div>
                                        </div>

                                        <h2>How to Setup OpenAI API Key</h2>
                                        <div class="video-wrap">
                                            <iframe width="100%" height="363" src="https://www.youtube.com/embed/nafDyRsVnXU" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                $args = array(
                                    'headers' => array(
                                        'accept: application/json',
                                        'secertkey' => esc_attr($secertkey),
                                        'userType' => 'wp_plugin',

                                    ),
                                    'body' => array(
                                        'email' => esc_attr($api_user_email),

                                    ),
                                );
                                $response = wp_safe_remote_post($apiUrl . "login", $args);

                                // echo "<pre>";
                                // $result = json_decode($response['body'], true );
                                // print_r($result['data']);
                                // // print_r($result['data']['user_subscriptions']['personal_key']);
                                // echo "</pre>";

                                $httpCode = wp_remote_retrieve_response_code($response);

                                if ($httpCode === 200) {
                                    $userData = json_decode(wp_remote_retrieve_body($response), true);

                                    // $userID = $userData['data']['id'];
                                    $userName = $userData['data']['name'];
                                    $userEmail = $userData['data']['email'];
                                    $userID = $userData['data']['user_subscriptions']['id'];

                                    if (isset($publisherkey) && isset($secertkey) && isset($userID)) {

                                ?>

                                        <div class="right-data-info">

                                            <div class="input-data">
                                                <div class="label-info"><span> Name:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($userName); ?>" disabled />

                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span> Email:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($userEmail); ?>" disabled />

                                                </div>
                                            </div>

                                            <div class="input-data">
                                                <div class="label-info"><span>User Id:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($userID); ?>" disabled />
                                                </div>

                                            </div>
                                            <span id="model-input-error" class="error"></span>

                                            <div class="input-data">
                                                <div class="label-info"><span>Publisher Key:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($publisherkey); ?>" disabled />

                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span> Secret Key:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($secertkey); ?>" disabled />
                                                </div>
                                            </div>
                                            <?php
                                            // Get the plugin version
                                            $plugin_folder = 'AI Harness';
                                            $plugin_path = WP_PLUGIN_DIR . '/' . $plugin_folder . '/index.php';

                                            $plugin_data = get_plugin_data($plugin_path);
                                            $plugin_version = $plugin_data['Version'];
                                            ?>
                                            <div class="input-data">
                                                <div class="label-info"><span> Version:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="<?php echo esc_attr($plugin_version) ?>" disabled />

                                                </div>
                                            </div>

                                            <div class="input-data">
                                                <div class="label-info"><span>Plan:</span></div>
                                                <div class="input-info">
                                                    <input id="subscription_status" type="text" value="" disabled />

                                                </div>
                                            </div>
                                            <div class="save-cta-info save-cta-info1">

                                            </div>

                                            <span id="top-p-error" class="error"></span>
                                            <div class="please-note-info">
                                                <p><strong>Please note </strong> that our plugin works with the OpenAI API. To use it,
                                                    you need to create an account on OpenAI and obtain your API key. OpenAI provides $5
                                                    in free credit for new users. If you encounter the message "You exceeded your
                                                    current quota, please check your plan and billing details." it indicates that you
                                                    have exhausted your OpenAI quota and need to purchase additional credit from OpenAI.
                                                </p>
                                                <p>Purchasing our plugin does not provide any credit from OpenAI. When you buy our
                                                    plugin, you gain access to the pro features of the plugin, but it does not include
                                                    any API credit. You will still need to purchase credit from OpenAI separately.</p>
                                            </div>
                                        </div>

                                    <?php

                                    } else {
                                        // Display the HTML code if not subscribed
                                    ?>

                                        <div class="right-data-info">

                                            <div class="input-data">
                                                <div class="label-info"><span>User Id:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value=">" disabled />
                                                </div>

                                            </div>
                                            <span id="model-input-error" class="error"></span>
                                            <div class="input-data">
                                                <div class="label-info"><span> Name:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="" disabled />

                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span> Secret Key:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="" disabled />

                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Publisher Key:</span></div>
                                                <div class="input-info">
                                                    <input type="text" value="" disabled />

                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Subscription Status:</span></div>
                                                <div class="input-info">
                                                    <input id="subscription_status" type="text" value="" disabled />

                                                </div>
                                            </div>
                                            <div class="save-cta-info save-cta-info1">

                                            </div>

                                            <span id="top-p-error" class="error"></span>
                                            <div class="please-note-info">
                                                <p><strong>Please note </strong> that our plugin works with the OpenAI API. To use it,
                                                    you need to create an account on OpenAI and obtain your API key. OpenAI provides $5
                                                    in free credit for new users. If you encounter the message "You exceeded your
                                                    current quota, please check your plan and billing details." it indicates that you
                                                    have exhausted your OpenAI quota and need to purchase additional credit from OpenAI.
                                                </p>
                                                <p>Purchasing our plugin does not provide any credit from OpenAI. When you buy our
                                                    plugin, you gain access to the pro features of the plugin, but it does not include
                                                    any API credit. You will still need to purchase credit from OpenAI separately.</p>
                                            </div>
                                        </div>

                            <?php
                                    }
                                }
                            }
                            ?>

                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            jQuery("#setting").click(function() {
                jQuery(".loaderoverlay").fadeIn(300);


                var actionUrl = 'aih_settng_save';
                var model = jQuery("#model").val().trim();
                var temperature = jQuery("#temperature").val().trim();
                var max_token = jQuery("#max-token").val().trim();
                var top_p = jQuery("#top-p").val().trim();
                var best_of = jQuery("#best-of").val().trim();
                var frequency_penalty = jQuery("#frequency-penalty").val().trim();
                var presence_penalty = jQuery("#presence-penalty").val().trim();
                var nonce = document.getElementById('aih_setting_nonce').value; // Fetch the nonce

                if (max_token > 4096) {
                    alert("Maximum token cannot exceed 4096.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (model === '') {
                    alert("Please select a model.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (temperature === '') {
                    alert("Temperature can't be empty.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (temperature > 1 || temperature < 0) {
                    alert("Temperature must be between 0 and 1.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (max_token === '') {
                    alert("Please enter max token.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (top_p === '') {
                    alert("Please enter top p values.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (best_of === '') {
                    alert("Please enter best of value.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (frequency_penalty === '') {
                    alert("Please enter frequency penalty.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                if (presence_penalty === '') {
                    alert("Please enter presence penalty.");
                    jQuery(".loaderoverlay").fadeOut(300);
                    return false;
                }
                var secretKey = "<?php echo esc_attr($secertkey); ?>";


                var data = {
                    'action': actionUrl,
                    'nonce': nonce,
                    'model': model,
                    'temperature': temperature,
                    'max_token': max_token,
                    'top_p': top_p,
                    'best_of': best_of,
                    'frequency_penalty': frequency_penalty,
                    'presence_penalty': presence_penalty,
                    'secretKey': secretKey
                };


                jQuery.post(ajaxurl, data, function(response) {
                    var responseJsonData = jQuery.parseJSON(response);
                    if (responseJsonData.result == 'Success') {
                        alert("Settings Saved Succesfully");
                        location.reload();
                    } else if (responseJsonData.result == 'Failure') {
                        alert("Something Went Wrong!!");
                        jQuery(".loaderoverlay").fadeOut(300);
                    }
                });

                var model = jQuery("#model").val().trim();
                var temperature = jQuery("#temperature").val().trim();
                var max_token = jQuery("#max-token").val().trim();
                var api_key = jQuery("#api-key").val().trim();
                var top_p = jQuery("#top-p").val().trim();
                var best_of = jQuery("#best-of").val().trim();
                var frequency_penalty = jQuery("#frequency-penalty").val().trim();
                var presence_penalty = jQuery("#presence-penalty").val().trim();

                var apiurl = '<?php echo esc_js($apiUrl); ?>setting';
                var secretKey = "<?php echo esc_attr($secertkey); ?>";


                var requestData = {
                    'model': model,
                    'temperature': temperature,
                    'maxtoken': max_token,
                    'apiKey': api_key,
                    'top_p': top_p,
                    'best_of': best_of,
                    'frequency_penalty': frequency_penalty,
                    'presence_penalty': presence_penalty,
                }
                var headers = {
                    'accept': 'application/json',
                    'secertkey': secretKey, // Use your secret key here
                    'userType': 'wp_plugin',
                };
                jQuery.ajax({
                    url: apiurl,
                    type: 'POST',
                    dataType: "json",
                    contentType: "application/json", // Set content type to JSON
                    headers: headers,
                    data: JSON.stringify(requestData), // Convert JSON object to a string
                    success: function(response) {
                        // alert(JSON.stringify(response)); // Convert the response to a string for alert
                    },
                    error: function(xhr, status, error) {
                        // alert("API Error: " + error);
                    }
                });
            });
        });

        function generateRandomPassword(length) {
            var charset = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
            var password = "";
            for (var i = 0; i < length; i++) {
                var randomIndex = Math.floor(Math.random() * charset.length);
                password += charset.charAt(randomIndex);
            }
            return password;
        }

        async function accountLogin() {
            var email = document.getElementById('emailLogin').value;
            var password = document.getElementById('passwordLogin').value;
            var nonce = document.getElementById('aih_account_nonce').value; // Fetch the nonce
            jQuery(".loaderoverlay").fadeIn(500);
            try {
                var response = await jQuery.ajax({
                    url: '<?php echo esc_url($apiUrl); ?>login',
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        'email': email,
                        'password': password
                    },
                    headers: {
                        'userType': 'wp_plugin',
                    }
                });
                 console.log(response);
                if (response.result === "Success") {
                    alert('Login successful');
                    // Store user data in session
                    var userId = response.data.id;
                    var userEmail = response.data.email;
                    var userSubId = response.data.user_subscriptions.id;
                    var secretKey = response.data.user_subscriptions.secret_key;
                    var personalKey = response.data.user_subscriptions.personal_key;
                    await storeUserDataInSession(userId, userEmail, userSubId, secretKey, personalKey);

                    var data = {
                        'action': 'aih_account',
                        'nonce': nonce, // Include the nonce in the data
                        'personal_key': personalKey,
                        'secert_key': secretKey,
                        'api_user_id': userSubId,
                        'password': password
                    };
                    jQuery.post(ajaxurl, data, function(response) {
                        var responseJsonData = jQuery.parseJSON(response);
                        console.log(responseJsonData);
                        if (responseJsonData.result === 'Success') {
                            location.reload();
                        }
                    });
                } else {
                    alert('Login failed: ' + response.result);
                }
            } catch (error) {
                alert(error.responseJSON.message);
                console.log(error);
                console.error('Error during login', error);
                
            } finally {
                jQuery(".loaderoverlay").fadeOut(300);
            }
        }



        async function accountActivate() {
            var email = document.getElementById('emailSignup').value;
            var password = document.getElementById('passwordSignup').value;
            var confirmPassword = document.getElementById('confirmPassword').value;

            if (password !== confirmPassword) {
                alert('Passwords do not match');
                return;
            }

            jQuery(".loaderoverlay").fadeIn(300);

            try {
                var response = await jQuery.ajax({
                    url: "<?php echo esc_url($apiUrl); ?>register",
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        'email': email,
                        'user_type': 'wp_plugin',
                        'password': password,
                        'confirmPassword': confirmPassword
                    },
                    success: async function(response) {
                        if (response.result === "Success") {
                            alert(response.message);
                            var userId = response.data.id;
                            var userEmail = response.data.email;
                            var userSubId = response.data.user_subscriptions.id;
                            var secretKey = response.data.user_subscriptions.secret_key;
                            var personalKey = response.data.user_subscriptions.personal_key;

                            await storeUserDataInSession(userId, userEmail, userSubId, secretKey, personalKey);

                            var data = {
                                'action': 'aih_account',
                                'personal_key': personalKey,
                                'secret_key': secretKey,
                                'api_user_id': userSubId,
                                'password': password
                            };

                            jQuery.post(ajaxurl, data, function(response) {
                                var responseJsonData = jQuery.parseJSON(response);
                                console.log(responseJsonData);
                                if (responseJsonData.result === 'Success') {
                                    location.reload();
                                }
                            });
                        } else {
                            console.log(response)
                            //alert(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error('Error during registration', error);
    var response = JSON.parse(xhr.responseText);
    alert('Error during registration: ' + response.message);
                    },
                    complete: function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }
                });
            } catch (error) {
                console.error('Error during registration', error);
                alert(response.result);
                jQuery(".loaderoverlay").fadeOut(300);
            }
        }

        function storeUserDataInSession(userId, userEmail, userSub, secret_key, personal_key) {
            jQuery(".loaderoverlay").fadeIn(300);
            jQuery.post(ajaxurl, {
                action: 'store_user_data',
                user_id: userId,
                userEmail: userEmail,
                userSub: userSub,
                secret_key: secret_key,
                personal_key: personal_key
            }, function(response) {
                if (response.success) {
                    console.log("User ID and API key stored in session successfully.");
                } else {
                    console.log("Failed to store user ID and API key in session:", response.data);
                    jQuery(".loaderoverlay").fadeIn(300);
                }
            });
        }
    </script>

    <!-- Logout -->
    <script>
        function clearSessionAndReload() {
            jQuery(".loaderoverlay").fadeIn(300);
            jQuery.post(ajaxurl, {
                action: 'clear_session'
            }, function(response) {
                console.log("Session cleared:", response);
                location.reload();
                jQuery(".loaderoverlay").fadeOut(300);
            });
        }
    </script>

    <!-- Check Subscription Script -->
    <script>
        jQuery(document).ready(function() {
            jQuery.ajax({
                type: "POST",
                dataType: "json",
                url: "<?php echo esc_url($apiUrl); ?>check-subscription",
                headers: {
                    "secertkey": "<?php echo esc_attr($secertkey); ?>",

                },
                success: function(response) {
                    var status = response.message.message;

                    if (status == 'Subscription Exist.') {
                        jQuery("#subscription_status").val('Active');
                        jQuery('.save-cta-info1').html(
                            '<a onclick="sendData()" style="cursor: pointer" class="cancel_btn"><span class="icon-info" style="margin-right: 5px; cursor: pointer"></span>Cancel Subscription</a>'
                        );

                    } else {
                        jQuery("#subscription_status").val('You have not any plan yet..');
                        var pageUrl = '<?php echo esc_url(admin_url('admin.php?page=aih_upgrade')); ?>';
                        jQuery('.save-cta-info1').html('<a href="' + pageUrl +
                            '" style="cursor: pointer" class="cancel_btn"><span class="icon-info" style="margin-right: 5px; cursor: pointer"></span>Upgrade Subscription</a>'
                        );

                    }
                },
                error: function(xhr, status, error) {
                    console.log("Subscription check failed:", error);
                }
            });
        });
    </script>

    <!-- Cancel Subscription Script -->
    <script>
        function sendData() {
            if (confirm("Are you sure you want to cancel your subscription?")) {
                jQuery(".loaderoverlay").fadeIn(300); // Show the loader before making the AJAX call
                jQuery.ajax({
                    url: '<?php echo esc_url($apiUrl); ?>cancel-subscription',
                    type: 'DELETE',
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                    },
                    dataType: 'json',
                    data: {
                        'secertkey': '<?php echo esc_attr($secertkey); ?>',
                        // Include any required data for the API request
                    },
                }).done(function(response) {
                    if (response.message.message === 'Subscription Cancel Successfully') {
                        jQuery("#subscription_status").val('You have not any plan yet..');
                        var pageUrl = '<?php echo esc_url(admin_url('admin.php?page=aih_upgrade')); ?>';
                        jQuery('.save-cta-info1').html('<a href="' + pageUrl +
                            '" style="cursor: pointer" class="cancel_btn"><span class="icon-info" style="margin-right: 5px; cursor: pointer"></span>Upgrade Subscription</a>'
                        );
                        location.reload();
                    } else {
                        // Handle the scenario where the response is not as expected
                        alert("Failed to cancel the subscription. Please try again.");
                    }
                }).fail(function(jqXHR, textStatus, errorThrown) {
                    // Handle any errors that occurred during the request
                    alert("An error occurred: " + textStatus);
                }).always(function() {
                    jQuery(".loaderoverlay").fadeOut(300); // Hide the loader after the AJAX call is complete
                });
            }
        }
    </script>
    <script>
        jQuery("#apikey").click(function() {
            jQuery(".loaderoverlay").fadeIn(300);
            var apiKey = jQuery("#api-key").val().trim();
            if (apiKey === '') {
                alert("Please enter an API key.");
                jQuery(".loaderoverlay").fadeOut(300);
                return;
            }
            validateApiKey(apiKey);
        });

        function validateApiKey(apiKey) {
            jQuery.ajax({
                url: "<?php echo esc_attr($apiUrl); ?>api-validate",
                type: 'POST',
                headers: {
                    'Authorization': 'Bearer ' + apiKey
                },
                contentType: 'application/json',
                data: JSON.stringify({
                    prompt: "Hello world!",
                    model: 'gpt-3.5-turbo-instruct',
                    openai: apiKey
                }),
                success: function(response) {
                    saveApiKey(apiKey);
                },
                error: function(xhr, status, error) {
                    var res = JSON.parse(xhr.responseText);
                    console.log(res.message);
                    alert(res.message);
                    jQuery(".loaderoverlay").fadeOut(300);
                }
            });


        }

        function saveApiKey(apiKey) {
            jQuery.ajax({
                url: "<?php echo esc_attr(admin_url('admin-ajax.php')); ?>",
                type: 'POST',
                data: {
                    action: 'save_api_key',
                    api_key: apiKey,
                    api_user_id: '<?php echo absint($api_user_id); ?>',
                },
                success: function(response) {
                    alert("API key is valid & saved successfully.");
                    jQuery(".loaderoverlay").fadeOut(300);
                },
                error: function(xhr, status, error) {
                    alert("Error saving API key. Please try again.");
                    jQuery(".loaderoverlay").fadeOut(300);
                }
            });
            var api_key = jQuery("#api-key").val().trim();
            var apiurl = '<?php echo esc_url($apiUrl); ?>setting';
            var secretKey = "<?php echo esc_attr($secertkey); ?>";


            var requestData = {
                'apiKey': api_key,
            }
            var headers = {
                'accept': 'application/json',
                'secertkey': secretKey,
                'userType': 'wp_plugin',
            };
            jQuery.ajax({
                url: apiurl,
                type: 'POST',
                dataType: "json",
                contentType: "application/json", // Set content type to JSON
                headers: headers,
                data: JSON.stringify(requestData), // Convert JSON object to a string
                success: function(response) {
                    // alert(JSON.stringify(response)); // Convert the response to a string for alert
                },
                error: function(xhr, status, error) {
                    // alert("API Error: " + error);
                }
            });
        }
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('switch-to-signup').addEventListener('click', function() {
                document.getElementById('login-form').style.display = 'none';
                document.getElementById('signup-form').style.display = 'block';
                document.getElementById('forgot-password-form').style.display = 'none';
            });

            document.getElementById('switch-to-login').addEventListener('click', function() {
                document.getElementById('login-form').style.display = 'block';
                document.getElementById('signup-form').style.display = 'none';
                document.getElementById('forgot-password-form').style.display = 'none';
            });

            document.getElementById('switch-to-forgot').addEventListener('click', function() {
                document.getElementById('login-form').style.display = 'none';
                document.getElementById('signup-form').style.display = 'none';
                document.getElementById('forgot-password-form').style.display = 'block';
            });

            document.getElementById('switch-to-login-from-forgot').addEventListener('click', function() {
                document.getElementById('login-form').style.display = 'block';
                document.getElementById('signup-form').style.display = 'none';
                document.getElementById('forgot-password-form').style.display = 'none';
            });
        });
    </script>
    <script>
        jQuery(document).ready(function() {
            var secretiKey = "<?php echo esc_attr($secertkey); ?>";
            // Function to fetch settings data from API
            function fetchSettingsData() {
                jQuery.ajax({
                    url: "<?php echo esc_url($apiUrl); ?>get-setting",
                    method: 'GET',
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader("secertkey", secretiKey);
                    },
                    success: function(response) {
                        if (response.status) {
                            var data = response.data;
                            // Populate input fields with fetched data
                            jQuery("#api-key").val(data.apiKey);
                            jQuery("#temperature").val(data.temperature);
                            jQuery("#max-token").val(data.maxtoken);
                            jQuery("#top-p").val(data.top_p);
                            jQuery("#best-of").val(data.best_of);
                            jQuery("#frequency-penalty").val(data.frequency_penalty);
                            jQuery("#presence-penalty").val(data.presence_penalty);
                            jQuery("#model").val(data.model);
                        } else {}
                    },
                    error: function(xhr, status, error) {}
                });
            }
            fetchSettingsData();
        });
    </script>