<div class="loaderoverlay">
    <div class="loader-cv-spinner">
        <span class="loader-spinner"></span>
    </div>
</div>
<div class="plugins-accounts-wrapper auto-content-writerui-wrapper">
    <div class="top-header">
        <h1>Auto Content Writer</h1>

    </div>

    <div class="plugins-accounts-info">
        <div class="left-sec-wrap">
            <div class="logo-info">
                <div class="icon-info">
                    <?php echo $iWhitelogo; ?>
                </div>
            </div>
            <ul>
                <li><a href="javascript:void(0)" class="menu-link-info active" data-target="tabs-1">Bulk Editor</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-2">CSV</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-3">Copy & Paste</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-4">Google Sheets</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-5">RSS</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-6" id="queueData">Queue</a></li>
                <li><a href="javascript:void(0)" class="menu-link-info" data-target="tabs-7">Settings</a></li>

            </ul>
        </div>

        <div class="right-sec-wrap">
            <div class="main-content-wrap">
                <!-- Bulk Editor -->
                <div class="main-content-info tabs active" data-tab="tabs-1">
                    <h3>Bulk Editor</h3>
                    <div class="full-wid-content-area-info log-datatable-wrap">
                        <div class="full-wid-data-info">

                            <?php
                            // Check subscription
                            $url = $apiUrl . "check-subscription";

                            // Prepare request arguments
                            $args = array(
                                'headers' => array(
                                    'secertkey' => $secertkey,
                                ),
                                'method' => 'POST', // Set the HTTP method to POST
                            );

                            // Perform the API request using WordPress HTTP API
                            $response = wp_safe_remote_request($url, $args);

                            // Check for errors
                            if (is_wp_error($response)) {
                                // Handle the error
                                echo '<p class="notecontentinfo">Error checking subscription: ' . esc_html($response->get_error_message()) . '</p>';
                                $isSubscribed = false;
                            } else {
                                $httpCode = wp_remote_retrieve_response_code($response);

                                if ($httpCode === 200) {
                                    // Request was successful, continue processing the response
                                    $subscription = json_decode(wp_remote_retrieve_body($response), true);
                                    $status = $subscription['message']['message'];

                                    $isSubscribed = $status === 'Subscription Exist.';
                                } else {
                                    // Handle non-200 HTTP response codes
                                    echo '<p class="notecontentinfo">HTTP Error: ' . esc_html($httpCode) . '</p>';
                                    $isSubscribed = false;
                                }
                            }

                            if (!$isSubscribed) {
                                $customPageURL = admin_url('admin.php?page=aih_upgrade');
                                echo '<p class="notecontentinfo">Free users can only generate 5 pieces of content at a time. Please 
                                  <a href="' . esc_url($customPageURL) . '">Click Here</a> to upgrade to the Pro plan to unlock more.</p>';
                            }
                            ?>

                            <h4>Auto Content Writer</h4>
                            <div id="bulkMessage"></div>
                            <div class="log-datatable-info">
                                <table>
                                    <tbody>
                                        <tr>
                                            <th></th>
                                            <th>Title</th>
                                            <th>Schedule</th>
                                            <th>Category</th>
                                            <th>Author</th>
                                            <th></th>
                                        </tr>

                                        <?php
                                        // Prepare HTML code based on the subscription status
                                        $rowCount = $isSubscribed ? 100 : 5; // 100 rows if subscribed, otherwise 5 rows

                                        // Array of rows data
                                        $rows = range(1, $rowCount);

                                        foreach ($rows as $rowNumber) {
                                        ?>
                                            <tr class="parent-row">
                                                <td><?php echo esc_html($rowNumber); ?></td>
                                                <td>
                                                    <div class="input-data">
                                                        <div class="input-info">
                                                            <input type="text" value="">
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="input-data">
                                                        <div class="input-info">
                                                            <input type="datetime-local" id="scheduler-input" value="">
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="input-info">
                                                        <select name="category">
                                                            <option value="">Category</option>
                                                            <?php
                                                            $categories = get_categories();
                                                            foreach ($categories as $category) {
                                                                echo '<option value="' . esc_attr($category->slug) . '">' . esc_attr($category->name) . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="input-info">
                                                        <select name="user">
                                                            <option value="">Select Author</option>
                                                            <?php
                                                            $users = get_users();
                                                            foreach ($users as $user) {
                                                                echo '<option value="' . esc_attr($user->ID) . '">' . esc_attr($user->display_name) . '</option>';
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </td>
                                                <td>
                                                    <button type="button" class="btn-more" id="btnmore<?php echo esc_attr($rowNumber); ?>">
                                                        <span>More
                                                            <i class="fa-solid fa-angle-down"></i>
                                                        </span>
                                                        <span style="display:none;">less
                                                            <i class="fa-solid fa-angle-up"></i>
                                                        </span>
                                                    </button>
                                                </td>
                                            </tr>
                                            <?php if ($isSubscribed) { ?>
                                                <tr class="show-hide-td-info child-head-row-info">
                                                    <td colspan="2">Tags</td>
                                                    <td>Keywords to Include</td>
                                                    <td colspan="3">Keywords to Avoid</td>
                                                </tr>
                                                <tr class="show-hide-td-info child-content-row-info">
                                                    <td colspan="2">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td colspan="3">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="">
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr class="show-hide-td-info child-head-row-info">
                                                    <td colspan="2">Anchor Text</td>
                                                    <td>Target URL</td>
                                                    <td colspan="3">CTA</td>
                                                </tr>
                                                <tr class="show-hide-td-info child-content-row-info">
                                                    <td colspan="2">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="e.g. battery life">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="http://">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td colspan="3">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="http://">
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            <?php } else { ?>
                                                <tr class="show-hide-td-info child-head-row-info">
                                                    <td colspan="2">Tags</td>
                                                    <td>Keywords to Include</td>
                                                    <td colspan="3">Keywords to Avoid</td>
                                                </tr>
                                                <tr class="show-hide-td-info child-content-row-info">
                                                    <td colspan="2">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" disabled placeholder="upgrade pro version">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td colspan="3">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" disabled placeholder="upgrade pro version">
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr class="show-hide-td-info child-head-row-info">
                                                    <td colspan="2">Anchor Text</td>
                                                    <td>Target URL</td>
                                                    <td colspan="3">CTA</td>
                                                </tr>
                                                <tr class="show-hide-td-info child-content-row-info">
                                                    <td colspan="2">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="e.g. battery life">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="http://">
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td colspan="3">
                                                        <div class="input-data">
                                                            <div class="input-info">
                                                                <input type="text" value="" placeholder="http://">
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                        <?php
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>




                            <div class="input-radio-info" style="margin-top: 2em;">
                                <div class="left-side-data">
                                    <!-- <input type="radio" id="draft1" name="topic" value="Draft" checked>
        <label for="Draft">Draft</label>
        <input type="radio" id="publish1" name="topic" value="Publish">
        <label for="publish1">Publish</label> -->
                                </div>
                                <div class="right-side-data save-cta-info">
                                    <div class="sub-cta-info 1" id="bulk_generate">
                                        <a href="javascript:void(0)" class="bg-theme-grey" id="bulk_generate">Generate</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>

                <!-- CSV File -->
                <div class="main-content-info tabs" data-tab="tabs-2">
                    <h3>CSV</h3>

                    <div class="content-area-info single-content-area-info">
                        <div class="left-data-info">
                            <?php
                            // Check subscription
                            $url = $apiUrl . "check-subscription";

                            // Prepare request arguments
                            $args = array(
                                'headers' => array(
                                    'secertkey' => $secertkey,
                                ),
                            );

                            // Perform the API request using WordPress HTTP API with the POST method
                            $response = wp_safe_remote_post($url, $args);

                            // Check for errors
                            if (is_wp_error($response)) {
                                // Handle the error
                                echo '<p class="notecontentinfo">Error checking subscription: ' . esc_html($response->get_error_message()) . '</p>';
                            } else {
                                $httpCode = wp_remote_retrieve_response_code($response);

                                if ($httpCode === 200) {
                                    // Request was successful, continue processing the response
                                    $subscription = json_decode(wp_remote_retrieve_body($response), true);
                                    $status = $subscription['message']['message'];

                                    // Display the HTML code based on the subscription status
                                    if ($status === 'Subscription Exist.') {
                                        // Display the HTML code if subscribed
                                    } else {
                                        $customPageURL = admin_url('admin.php?page=aih_upgrade');

                                        echo '<p class="notecontentinfo">Free users can only generate 5 pieces of content at a time. Please 
                                            <a href="' . esc_url($customPageURL) . '">Click Here</a> to upgrade to the Pro plan to unlock more.
                                            </p>';
                                    }
                                } else {
                                    // Handle non-200 HTTP response codes
                                    echo '<p class="notecontentinfo">HTTP Error: ' . esc_html($httpCode) . '</p>';
                                }
                            }

                            ?>
                            <h4>Auto Content From CSV</h4>
                            <span>Please make sure your CSV delimiter is comma.</span>
                            <div class="input-data csv-input-data">
                                <div class="input-info">
                                    <span class="fw-6">CSV File</span>
                                    <input type="file" id="myfile" name="myfile">
                                    <div id="error-msg"></div>
                                </div>
                            </div>
                            <div class="input-radio-info">
                                <div class="left-side-data">
                                    <span class="check-user-inputrdio-info">

                                        <input type="radio" id="draft1" name="topic1" value="Draft" checked="">
                                        <label for="Draft">Draft</label>
                                    </span>
                                    <span class="check-user-inputrdio-info">

                                        <input type="radio" id="publish1" name="topic1" value="Publish">
                                        <label for="publish1">Publish</label>
                                    </span>

                                </div>
                                <div class="right-side-data">
                                    <div class="sub-cta-info">
                                        <a href="javascript:void(0)" class="bg-theme-grey" onclick="importCSV()">Import</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="csvMessage"></div>
                        <div class="right-data-info empty-data-info">


                        </div>
                    </div>

                </div>

                <!-- Copy Paste -->
                <div class="main-content-info tabs" data-tab="tabs-3">
                    <h3>Copy & Paste</h3>
                    <div class="content-area-info single-content-area-info">
                        <div class="left-data-info">
                            <?php

                            // Check subscription
                            $url = $apiUrl . "check-subscription";

                            // Prepare request arguments
                            $args = array(
                                'headers' => array(
                                    'secertkey' => $secertkey,
                                ),
                            );

                            // Perform the API request using WordPress HTTP API with the POST method
                            $response = wp_safe_remote_post($url, $args);

                            // Check for errors
                            if (is_wp_error($response)) {
                                // Handle the error
                                echo '<p class="notecontentinfo">Error checking subscription: ' . esc_html($response->get_error_message()) . '</p>';
                            } else {
                                $httpCode = wp_remote_retrieve_response_code($response);

                                if ($httpCode === 200) {
                                    // Request was successful, continue processing the response
                                    $subscription = json_decode(wp_remote_retrieve_body($response), true);
                                    $status = $subscription['message']['message'];

                                    // Display the HTML code based on the subscription status
                                    if ($status === 'Subscription Exist.') {
                                        // Display the HTML code if subscribed
                                    } else {
                                        $customPageURL = admin_url('admin.php?page=aih_upgrade');

                                        echo '<p class="notecontentinfo">Free users can only generate 5 pieces of content at a time. Please 
                                            <a href="' . esc_url($customPageURL) . '">Click Here</a> to upgrade to the Pro plan to unlock more.
                                            </p>';
                                    }
                                } else {
                                    // Handle non-200 HTTP response codes
                                    echo '<p class="notecontentinfo">HTTP Error: ' . esc_html($httpCode) . '</p>';
                                }
                            }

                            ?>
                            <h4>Auto Content From Multi Lines</h4>

                            <h4>Titles</h4>
                            <div class="input-data full-wid">
                                <div class="input-info">
                                    <span>(Enter one title per line.)</span>
                                    <textarea id="titleTextArea" name="" rows="7" cols="50"></textarea>


                                </div>
                            </div>
                            <div class="input-radio-info">
                                <div class="left-side-data">
                                    <span class="check-user-inputrdio-info">
                                        <input type="radio" id="draft1" name="topic" value="Draft" checked="">
                                        <label for="Draft">Draft</label>
                                    </span>
                                    <span class="check-user-inputrdio-info">
                                        <input type="radio" id="publish1" name="topic" value="Publish">
                                        <label for="publish1">Publish</label>
                                    </span>

                                </div>
                                <div class="right-side-data">
                                    <div class="sub-cta-info"><a href="javascript:void(0)" id="copy-paste" class="bg-theme-grey">Generate</a></div>
                                </div>
                            </div>


                        </div>
                        <div id="copyMessage"></div>
                        <div class="right-data-info empty-data-info">


                        </div>
                    </div>

                </div>

                <!-- Google Sheet -->
                <div class="main-content-info tabs" data-tab="tabs-4">
                    <h3>Google Sheets</h3>
                    <div class="content-area-info single-content-area-info full-wid-content-area-ninfo">
                        <div class="full-wid-data-info">

                            <h4>Auto Content From Google Sheet</h4>
                            <div class="input-data csv-input-data">
                                <div class="input-data">
                                    <div class="label-info"><span>Google Sheet API Key</span></div>
                                    <div class="input-info">
                                        <input type="text" id="googleKey" name="googleKey">
                                        <span>Enter here you google cloud <a href="https://console.cloud.google.com/apis/credentials" target="_blank"> Api key.</a> </span>
                                    </div>
                                </div>

                                <div class="input-data">
                                    <div class="label-info"><span>Google Sheet Link</span></div>
                                    <div class="input-info">
                                        <input type="text" id="googlefile" name="googlefile">
                                    </div>
                                </div>
                                <div class="input-data">
                                    <div class="label-info"><span>Select Date & Time</span></div>
                                    <div class="input-info">
                                        <input type="datetime-local" class="form-control" id="datetime">
                                    </div>
                                </div>

                            </div>
                            <div class="input-radio-info">
                                <div class="left-side-data">

                                </div>
                                <div class="right-side-data">
                                    <div class="sub-cta-info"><a href="javascript:void(0)" class="bg-theme-grey" onclick="importGoogleSheet()">Upload File</a></div>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>

                <!-- RSS Link -->
                <div class="main-content-info tabs" data-tab="tabs-5">
                    <h3>RSS</h3>

                    <div class="full-wid-content-area-info">

                        <div class="full-wid-data-info">
                            <div class="input-data csv-input-data">
                                <div class="input-info">
                                    <span class="fw-6">RSS Link</span>
                                    <input type="text" id="rss_link" name="link">
                                </div>
                            </div>
                            <div class="input-radio-info" style="margin-top: 2em;">
                                <div class="left-side-data">
                                </div>
                                <div class="right-side-data">
                                    <div class="sub-cta-info">
                                        <a href="javascript:void(0)" class="bg-theme-grey" id="rss-link" style="margin-bottom: 8px;">Generate</a>
                                    </div>
                                </div>
                            </div>

                            <div class="please-note-info mt-0 mb-0">
                                <p>Please remember: It's important to say that using this module for content based on
                                    news sources is not a good idea. It works better for blog posts. News is about
                                    recent events, and GPT models might give wrong information, make up details, and
                                    imagine things. So, don't use this module for news-related content.</p>
                                <p>For example, imagine you use CNN as your RSS source, and our plugin gets the newest
                                    news from CNN, like "300 million jobs could be affected by latest wave of AI, says
                                    Goldman Sachs". Our plugin will make a blog post with that title, and the content
                                    will be made by GPT. But, the content made by GPT might not be right and could have
                                    imagined things. Because it is a very recent event. So, don't use this module for
                                    news-related content.</p>
                                <p>On the other hand, imagine you use an RSS from a blog talking about YouTube-related
                                    content, like "how to create a successful YouTube channel". Our plugin will make a
                                    blog post with that title, and the content will be made by GPT. In this case, the
                                    content made by GPT will be more correct and won't have imagined things.</p>

                            </div>

                        </div>
                        <div id="rssMessage"></div>

                    </div>


                </div>

                <!-- Queue -->
                <div class="main-content-info tabs" data-tab="tabs-6">
                    <h3>Queue</h3>
                    <div class="full-wid-content-area-info log-datatable-wrap mt-0">
                        <div class="full-wid-data-info">
                            <div class="log-datatable-info">
                                <table>
                                    <tbody>
                                        <tr>
                                            <th>ID</th>
                                            <th>Batch</th>
                                            <th>Status</th>
                                            <th>Source</th>
                                            <th>Duration</th>
                                            <th>Token</th>
                                            <th>Words Count</th>
                                            <th>Action</th>
                                        </tr>

                                        <?php
                                        global $wpdb;

                                        $meta_key_names = array('RSS', 'BulkEditor', 'Copy Paste', 'GoogleSheet');
                                        $placeholders = implode(', ', array_fill(0, count($meta_key_names), '%s'));
                                        $query = "
    SELECT p.ID
    FROM {$wpdb->posts} p
    INNER JOIN {$wpdb->postmeta} pm
    ON p.ID = pm.post_id
    WHERE p.post_status IN ('draft', 'future')
    AND pm.meta_key IN ($placeholders)
    GROUP BY p.ID
";

                                        $prepared_query = $wpdb->prepare($query, ...$meta_key_names);
                                        $post_ids = $wpdb->get_col($prepared_query);

                                        $args = array(
                                            'post__in' => $post_ids,
                                            'post_status' => array('draft', 'future'),
                                            'posts_per_page' => -1,
                                            'post_type' => 'post',
                                        );

                                        $posts_query = new WP_Query($args);

                                        if ($posts_query->have_posts()) {
                                            while ($posts_query->have_posts()) {
                                                $posts_query->the_post();
                
                                                // Get the post information
                                                $post_id = get_the_ID();
                                                $post_title = get_the_title();
                                                $post_status = get_post_status();
                                                $post_url = get_permalink();
                                                $post_scheduled_time = get_post_meta($post_id, '_scheduled_publish_time', true);
                                                $post_word_count = str_word_count(get_the_content());
                
                                                // Output the information in the table row
                                                echo "<tr>";
                                                echo "<td>" . esc_html($post_id) . "</td>";
                                                echo "<td>" . esc_html($post_title) . "</td>";
                                                echo "<td>" . esc_html($post_status) . "</td>";
                                                foreach ($meta_key_names as $meta_key_name) {
                                                    if (get_post_meta($post_id, $meta_key_name, true)) {
                                                        echo "<td>" . esc_html($meta_key_name) . "</td>";
                                                    }
                                                }
                                                echo "<td>" . esc_html($post_status === 'draft' ? '' : $post_scheduled_time) . "</td>";
                                                echo "<td>123</td>";
                                                echo "<td>" . esc_html($post_word_count) . "</td>";
                                                echo "<td><button class='delete-button save-cta-info' data-post-id='" . esc_attr($post_id) . "'>Delete</button></td>";
                                                echo "</tr>";
                                            }
                                        } else {
                                            // No posts found for the current meta key
                                            // echo "<tr><td colspan='7'>No posts found for $meta_key_name.</td></tr>";
                                        }

                                        // Restore original post data
                                        wp_reset_postdata();
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- Settings -->
                <div class="main-content-info tabs" data-tab="tabs-7">
                    <h3>Settings</h3>
                    <div class="content-area-info single-content-area-info">
                        <div class="left-data-info">
                            <div class="input-data">
                                <div class="label-info"><span>Restart Failed Jobs After:</span></div>
                                <div class="input-info">
                                    <select id="time">
                                        <option value="Dont Restart">Dont Restart</option>
                                        <option value="20">20</option>
                                        <option value="30">30</option>
                                        <option value="40">40</option>
                                        <option value="50">50</option>
                                        <option value="60">60</option>
                                    </select>

                                </div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Attempt up to a maximum of:</span></div>
                                <div class="input-info">
                                    <select id="attempt">
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                        <option value="6">6</option>
                                        <option value="7">7</option>
                                        <option value="8">8</option>
                                        <option value="9">9</option>
                                        <option value="10">10</option>
                                    </select>

                                </div>
                            </div>
                            <div class="save-cta-info">
                                <a href="javascript:void(0)" id="setting">Save</a>
                            </div>
                        </div>
                        <div class="right-data-info empty-data-info">
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

</div>

<!-- jQuery library -->

<script type="text/javascript">
    jQuery('.menu-link-info').on('click', function(e) {
        e.preventDefault();
        jQuery('.menu-link-info').removeClass('active');
        jQuery(this).addClass('active');
        jQuery('.tabs').removeClass('active');
        var tabID = jQuery(this).attr('data-target');
        jQuery('.tabs[data-tab="' + tabID + '"]').addClass('active');
    });
</script>

<script>
    jQuery(document).ready(function() {
        jQuery(".btn-more").click(function() {
            jQuery(this).children("span").toggle();
            jQuery(this).closest("tr.parent-row").nextUntil(".parent-row").toggle();
        });
    });
</script>


<!-- Bulk Editor -->
<script>
    jQuery(document).ready(function() {
        jQuery("#bulk_generate").click(function() {
            jQuery(".loaderoverlay").fadeIn(300);

            var openAiKey = "<?php echo esc_attr($openAi); ?>";
            var secretiKey = "<?php echo esc_attr($secertkey); ?>";
            if (openAiKey == '') {
                alert("OpenAi Key missing");
                return false;
            }
            if (secretiKey == '') {
                alert("Secret Key missing");
                return false;
            }

            // Fetch settings once
            jQuery.ajax({
                url: "<?php echo esc_url($apiUrl); ?>get-setting",
                method: 'GET',
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("secertkey", secretiKey);
                },
                success: function(response) {
                    var apiKey = response.data.apiKey;
                    var best_of = response.data.best_of;
                    var frequency_penalty = response.data.frequency_penalty;
                    var maxtoken = response.data.maxtoken;
                    var model = response.data.model;
                    var presence_penalty = response.data.presence_penalty;
                    var top_p = response.data.top_p;
                    var temperature = response.data.temperature;

                    // Iterate through each row
                    jQuery('tr.parent-row').each(function(index) {
                        var parentRow = jQuery(this);

                        // Retrieve values from input fields within the current row
                        var field1 = parentRow.find('.input-info input').eq(0).val();
                        var field2 = parentRow.find('.input-info input').eq(1).val();
                        var category = parentRow.find('.input-info select').eq(0).val();
                        var admin = parentRow.find('.input-info select').eq(1).val();

                        var tags = parentRow.next('.child-head-row-info').next('.child-content-row-info').find('input').eq(0).val();
                        var keywordsInclude = parentRow.next('.child-head-row-info').next('.child-content-row-info').find('input').eq(1).val();
                        var keywordsAvoid = parentRow.next('.child-head-row-info').next('.child-content-row-info').find('input').eq(2).val();

                        var anchorText = parentRow.next('.child-head-row-info').next('.child-content-row-info').next('.child-head-row-info').next('.child-content-row-info').find('input').eq(0).val();
                        var targetURL = parentRow.next('.child-head-row-info').next('.child-content-row-info').next('.child-head-row-info').next('.child-content-row-info').find('input').eq(1).val();
                        var cta = parentRow.next('.child-head-row-info').next('.child-content-row-info').next('.child-head-row-info').next('.child-content-row-info').find('input').eq(2).val();

                        // Check if any of the input fields within the current row have data
                        if (field1 || field2 || category || admin || tags || keywordsInclude || keywordsAvoid || anchorText || targetURL || cta) {
                            // Create an object with the data
                            var promptData = {
                                field1: field1,
                                field2: field2,
                                category: category,
                                admin: admin,
                                tags: tags,
                                keywordsInclude: keywordsInclude,
                                keywordsAvoid: keywordsAvoid,
                                anchorText: anchorText,
                                targetURL: targetURL,
                                cta: cta
                            };

                            var prompt = "Please generate a comprehensive and well-researched article on the topic of " + promptData.field1 + " The article should be approximately 2000 words long and structured into several paragraphs and Incorporate the following keywords: " + promptData.keywordsInclude + " , while skillfully avoiding any mention of " + promptData.keywordsAvoid + " to ensure a coherent flow throughout the article. To enhance readability and accessibility. Additionally, include these tags " + promptData.tags + " create anchor text " + promptData.anchorText + ". that links to the target URL " + promptData.targetURL + " Additionally, include a call-to-action (CTA) with the URL " + promptData.cta;

                            // Perform Ajax request
                            jQuery.ajax({
                                url: "<?php echo esc_url($apiUrl); ?>auto-content-writer",
                                method: 'POST',
                                beforeSend: function(xhr) {
                                    xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                                    xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
                                },
                                dataType: 'json',
                                data: {
                                    'model': model,
                                    'temperature': temperature,
                                    'maxtoken': maxtoken,
                                    'top_p': top_p,
                                    'best_of': best_of,
                                    'frequency_penalty': frequency_penalty,
                                    'presence_penalty': presence_penalty,
                                    'prompt': prompt
                                },
                                success: function(response) {
                                    // Handle the response from the server
                                    setTimeout(function() {
                                        jQuery(".loaderoverlay").fadeOut(300);
                                    }, 500);
                                    jQuery('#bulkMessage').css('display', 'block').text('Post Successfully Published');

                                    setTimeout(function() {
                                        jQuery('#bulkMessage').fadeOut(500, function() {
                                            jQuery(this).text('').css('display', 'none');
                                        });
                                    }, 5000);

                                    var ContentData = response.data.choices[0].text;
                                    jQuery.ajax({
                                        url: ajaxurl, // The AJAX URL is provided by WordPress and should be available in your WordPress context
                                        method: 'POST',
                                        data: {
                                            action: 'aih_publish_post_content', // The name of your WordPress AJAX action
                                            title: field1,
                                            content: ContentData,
                                            category: promptData.category,
                                            admin: promptData.admin,
                                            scheduled: field2,
                                        },
                                        success: function(response) {
                                            jQuery('#bulkMessage').css('display', 'block').text('Post Successfully Published');

                                            setTimeout(function() {
                                                jQuery('#bulkMessage').fadeOut(500, function() {
                                                    jQuery(this).text('').css('display', 'none');
                                                });
                                            }, 5000);
                                            saveToDatabase(field1, 'true');
                                        },
                                        error: function(jqXHR, xhr, status, error) {
                                            saveToDatabase(field1, 'false');
                                            if (jqXHR.status === 400) {
                                                var errorMessage = jqXHR.responseJSON.message;
                                                alert(errorMessage);
                                            } else {
                                                // For other errors, you can display the generic error message
                                            }
                                            setTimeout(function() {
                                                jQuery(".loaderoverlay").fadeOut(300);
                                            }, 500);
                                        }
                                    });

                                },
                                error: function(jqXHR, xhr, status, error) {
                                    saveToDatabase(field1, 'false');
                                    if (jqXHR.status === 400) {
                                        var errorMessage = jqXHR.responseJSON.message;
                                        alert(errorMessage);
                                    } else {
                                        // For other errors, you can display the generic error message
                                    }
                                    setTimeout(function() {
                                        jQuery(".loaderoverlay").fadeOut(300);
                                    }, 500);
                                }
                            });

                        }
                    });
                },
                error: function(jqXHR, xhr, status, error) {
                    if (jqXHR.status === 400) {
                        var errorMessage = jqXHR.responseJSON.message;
                        alert(errorMessage);
                    } else {
                        // For other errors, you can display the generic error message
                    }
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                }
            });
        });
    });

    // Function to save title and status in the database
    function saveToDatabase(title, status) {
        jQuery.ajax({
            url: ajaxurl,
            method: 'POST',
            data: {
                action: 'aih_api_response',
                title: title,
                status: status,
            },
            success: function(response) {
                // Handle success response (if needed)
            },
            error: function(jqXHR, xhr, status, error) {
                saveToDatabase(field1, 'false');
                if (jqXHR.status === 400) {
                    var errorMessage = jqXHR.responseJSON.message;
                    alert(errorMessage);
                } else {
                    // For other errors, you can display the generic error message
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            }
        });
    }
</script>

<!-- CSV -->
<script>
    function importCSV() {
        jQuery(".loaderoverlay").fadeIn(300);
        var fileInput = document.getElementById("myfile");
        var file = fileInput.files[0];

        // Check if a file is selected
        if (!file) {
            document.getElementById("error-msg").textContent = "Please select a file.";
            jQuery(".loaderoverlay").fadeOut(300);
            return;
        }

        // Check if the selected file has a CSV extension
        if (!file.name.endsWith(".csv")) {
            document.getElementById("error-msg").textContent = "Please select only a CSV file.";
            jQuery(".loaderoverlay").fadeOut(300);
            return;
        }

        // Read the CSV file
        var reader = new FileReader();
        reader.onload = function(e) {
            var contents = e.target.result;
            var rows = contents.split('\n');

            // Check subscription status
            checkSubscriptionStatus(rows);
        };
        reader.readAsText(file);
    }


    function checkSubscriptionStatus(data) {
        // Send a request to check the subscription status
        jQuery.ajax({
            type: "POST",
            dataType: "json",
            url: "<?php echo esc_url($apiUrl); ?>check-subscription",
            headers: {
                "secertkey": "<?php echo esc_attr($secertkey); ?>",
            },
            success: function(response) {
                var status = response.message.message;
                if (status === 'Subscription Exist.') {
                    sendFullData(data);
                } else {
                    sendPartialData(data);
                }
            },
            error: function(error) {
                console.error('Error checking subscription status:', error);
            }
        });
    }

    function sendFullData(data) {
        // Loop through each row of the data
        for (var i = 0; i < data.length; i++) {
            var row = data[i].split(','); // Split row by column assuming each column is comma-separated

            for (var j = 0; j < row.length; j++) {
                var columnData = row[j].trim(); // Trim any whitespace

                // Send separate requests for each column data
                sendAPIRequest(columnData);
            }
        }
    }

    function sendPartialData(data) {
        // Get the first five elements from the data array
        var columnsToSend = data.slice(0, 5);

        for (var i = 0; i < columnsToSend.length; i++) {
            var columnData = columnsToSend[i].trim(); // Trim any whitespace

            // Send separate requests for each column data
            sendAPIRequest(columnData);
        }
    }

    var apiKey, best_of, frequency_penalty, maxtoken, model, presence_penalty, top_p, temperature;

    jQuery.ajax({
        url: "<?php echo esc_url($apiUrl); ?>get-setting",
        method: 'GET',
        beforeSend: function(xhr) {
            xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
        },
        success: function(response) {

            apiKey = response.data.apiKey;
            best_of = response.data.best_of;
            frequency_penalty = response.data.frequency_penalty;
            maxtoken = response.data.maxtoken;
            model = response.data.model;
            presence_penalty = response.data.presence_penalty;
            top_p = response.data.top_p;
            temperature = response.data.temperature;


        },
        error: function(jqXHR, xhr, status, error) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // alert( errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        }
    });

    function sendAPIRequest(columnData, isPartialData) {

        var openAiKey = "<?php echo esc_attr($openAi); ?>";
        var secretiKey = "<?php echo esc_attr($secertkey); ?>";
        if (openAiKey == '') {
            alert("OpenAi Key missing");
            return false;
        }
        if (secretiKey == '') {
            alert("Secret Key missing");
            return false;
        }

        // Send separate requests for each column data
        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-text",
            method: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", secretiKey);
                xhr.setRequestHeader("openai", openAiKey);
            },
            dataType: 'json',
            data: {
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': columnData
            },
            success: function(response) {
                jQuery('#csvMessage').css('display', 'block').text('Post Successfully Published');

                setTimeout(function() {
                    jQuery('#csvMessage').fadeOut(500, function() {
                        jQuery(this).text('').css('display', 'none');
                    });
                }, 5000);
                var generatedContent = response.data.choices[0].text;

                // Save the generated content as a WordPress post
                createWordPressPost(columnData, generatedContent);
            },
            error: function(jqXHR, xhr, status, error) {
                if (jqXHR.status === 400) {
                    var errorMessage = jqXHR.responseJSON.message;
                    if (errorMessage == 'Please enter prompt') {
                        setTimeout(function() {
                            jQuery(".loaderoverlay").fadeOut(300);
                        }, 500);
                        return false;
                    } else {
                        alert(errorMessage);
                        setTimeout(function() {
                            jQuery(".loaderoverlay").fadeOut(300);
                        }, 500);
                        return false;
                    }
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                } else {
                    // For other errors, you can display the generic error message
                    // alert( errorThrown);
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            }
        });
    }


    function createWordPressPost(columnData, content) {

        var selectedValue = document.querySelector('input[name="topic1"]:checked').value;

        var postData = {
            'title': columnData,
            'content': content,
            'status': selectedValue
        };

        // AJAX request to send data to server-side function
        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'aih_create_csv_wordpress_post', // The server-side action to handle the request
                post_data: postData
            },
            success: function(response) {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                jQuery('#csvMessage').css('display', 'block').text('Post Successfully Published');

                setTimeout(function() {
                    jQuery('#csvMessage').fadeOut(500, function() {
                        jQuery(this).text('').css('display', 'none');
                    });
                }, 5000);
            },
            error: function(jqXHR, xhr, status, error) {

                if (jqXHR.status === 400) {
                    // Status code 400 indicates a client-side error (Bad Request)
                    // The response JSON data can be accessed using the responseJSON property
                    var errorMessage = jqXHR.responseJSON.message;
                    alert(errorMessage);
                } else {
                    // For other errors, you can display the generic error message
                    //    alert( errorThrown);
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            }
        });
    }
</script>

<!-- Post data using RSS link -->
<script>
    jQuery(document).ready(function($) {
        jQuery('#rss-link').click(function() {
            jQuery(".loaderoverlay").fadeIn(300);

            // Get the entered RSS link
            var rssLink = jQuery('#rss_link').val();
            // Check if a link is entered
            if (!rssLink) {
                alert('Please enter RSS Feed link');
                jQuery(".loaderoverlay").fadeOut(300);
                return;
            }

            jQuery.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'aih_rss_link_data_handler',
                    link: rssLink
                },
                success: function(response) {
                    console.log(response.success);
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                    if (response.success === true) {
                        // Handle the response from the AJAX request
                        jQuery('#rssMessage').css('display', 'block').text('Post Successfully Published');

                        // Show alert for successful post publication
                        alert('Post Successfully Published');

                        setTimeout(function() {
                            jQuery('#rssMessage').fadeOut(500, function() {
                                jQuery(this).text('').css('display', 'none');
                            });
                        }, 5000);
                    } else {
                        alert('RSS Feed Link Not Valid');
                    }

                    // Do something with the response
                },
                error: function(xhr, status, error) {
                    // Handle any errors that occur during the AJAX request
                    console.error(error);
                    jQuery(".loaderoverlay").fadeOut(300);
                    alert('An error occurred: ' + error);
                }
            });
        });
    });
</script>

<script>
    jQuery('#copy-paste').on('click', function() {
        jQuery(".loaderoverlay").fadeIn(300);
        var titles = jQuery('#titleTextArea').val();

        if (titles == '') {
            alert('Please Enter Text');
            jQuery(".loaderoverlay").fadeOut(300);
            return;
        }

        var selectedValue = document.querySelector('input[name="topic"]:checked').value;

        // Split the input into lines and filter out empty lines
        var titleArray = titles.split('\n').filter(function(line) {
            return line.trim() !== '';
        });

        var secretKey = "<?php echo esc_attr($secertkey); ?>";
        var openAI = "<?php echo esc_attr($openAi); ?>";

        var indexedTitles = {};

        for (var i = 0; i < titleArray.length; i++) {
            indexedTitles[i] = titleArray[i];
        }

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'aih_copy_paste_data',
                indexedTitles: indexedTitles,
                openAI: openAI,
                secretKey: secretKey,
                selectedValue: selectedValue
            },
            success: function(response) {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert(response.data);
            },
            error: function(jqXHR, xhr, status, error) {
                if (jqXHR.status === 400) {
                    var errorMessage = jqXHR.responseJSON.message;
                    alert(errorMessage);
                } else {
                    alert(errorThrown);
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            }
        });
    });
</script>


<!-- Delete Queue Processing Data -->
<script>
    jQuery(document).ready(function() {
        jQuery(".delete-button").click(function() {
            var postId = jQuery(this).data("post-id");
            var confirmDelete = confirm("Are you sure you want to delete this post?");
            if (confirmDelete) {
                // Send the post ID to your custom plugin's function using Ajax
                jQuery.ajax({
                    url: ajaxurl, // Replace with the actual URL of your custom plugin's Ajax action
                    type: "POST",
                    data: {
                        action: "aih_delete_post_action", // Replace with your custom plugin's Ajax action name
                        post_id: postId,
                    },
                    success: function(response) {
                        // console.log(response);
                        // Handle the success response if needed
                        alert(response.data);
                        location.reload();
                    },
                    error: function(xhr, status, error) {
                        // Handle the error response if needed
                        alert("Error: " + xhr.responseText);
                    }
                });
            }
        });
    });
</script>

<!-- Google Sheet -->
<script>
    function importGoogleSheet() {
        if (userAddedKey) {
            jQuery(".loaderoverlay").fadeIn(300);

            var googleSheetLink = jQuery("#googlefile").val();

            // Check if a file is selected
            if (!googleSheetLink) {
                alert('Please enter Google sheet link');
                jQuery(".loaderoverlay").fadeOut(300);
                return;
            }

            var googleSheetRegex = /^https:\/\/docs.google.com\/spreadsheets\/d\/[a-zA-Z0-9_-]+/;

            // Check if the link matches the Google Sheet link format
            if (!googleSheetLink.match(googleSheetRegex)) {
                alert('Please enter a valid Google Sheet link.');
                jQuery(".loaderoverlay").fadeOut(300);
                return;
            }

            // Extract Google Sheet ID from the link
            var sheetId = extractSheetId(googleSheetLink);
            var apiUrl = "https://sheets.googleapis.com/v4/spreadsheets/" + sheetId + "/values/A:Z?key=" + userAddedKey;

            var selectedDatetime = document.getElementById('datetime').value;
            var secretKey = "<?php echo esc_attr($secertkey); ?>";
            var openAI = "<?php echo esc_attr($openAi); ?>";

            jQuery.ajax({
                url: apiUrl,
                type: "GET",
                dataType: "json",
                success: function(response) {
                    var data = response.values;
                    if (!data || data.length === 0) {
                        alert('No data found in the Google Sheet.');
                        jQuery(".loaderoverlay").fadeOut(300);
                        return;
                    }
                    var jsonData = data;
                    jQuery.ajax({
                        url: ajaxurl,
                        method: 'POST',
                        data: {
                            action: 'aih_google_sheet_data',
                            body: jsonData,
                            openAI: openAI,
                            secretKey: secretKey,
                            selectedDatetime: selectedDatetime,
                        },
                        success: function(response) {
                            setTimeout(function() {
                                jQuery(".loaderoverlay").fadeOut(300);
                            }, 500);
                            var cleanedResponse = response.replace(/[0-9]/g, '');
                            alert(cleanedResponse);
                        },
                        error: function(jqXHR, xhr, status, error) {
                            if (jqXHR.status === 400) {
                                var errorMessage = jqXHR.responseJSON.message;
                                alert(errorMessage);
                            } else {
                                alert('Error: ' + error);
                            }
                            setTimeout(function() {
                                jQuery(".loaderoverlay").fadeOut(300);
                            }, 500);
                        }
                    });
                },
                error: function(jqXHR, xhr, status, error) {
                    if (jqXHR.status === 400) {
                        var errorMessage = jqXHR.responseJSON.message;
                        alert(errorMessage);
                    } else {
                        alert('Error: ' + error);
                    }
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                }
            });
        } else {
            alert('Please Add Google Sheet API Key..');
        }
    }

    // Function to extract the sheet ID from the Google Sheet link
    function extractSheetId(url) {
        var regex = /\/spreadsheets\/d\/([a-zA-Z0-9_-]+)/;
        var match = url.match(regex);
        return match ? match[1] : null;
    }
</script>

<!-- Setting Page Functionality -->
<script>
    jQuery(document).ready(function($) {
        // Event listener to handle Save button click
        jQuery('#setting').on('click', function() {
            // alert('clicked');

            // Get selected values from time and attempt select boxes
            var selectedTime = jQuery('#time').val();
            var selectedAttempt = jQuery('#attempt').val();

            // Create a data object to send the selected options to the server
            var data = {
                'time': selectedTime,
                'attempt': selectedAttempt
            };

            // Send AJAX request to save the options
            jQuery.ajax({
                url: ajaxurl,
                method: 'POST',
                data: {
                    'action': 'aih_options_callback', // This is the name of the action hook on the server-side
                    'data': data,
                },
                success: function(response) {
                    // console.log(response);
                    // Handle success response here (if needed)
                    alert('Setting saved successfully!');
                },
                error: function(xhr, status, error) {
                    // Handle error response here (if needed)
                    console.error('Error saving options:', error);
                }
            });
        });
    });
</script>

<!-- Google Sheet Api Key Save -->
<script>
    var userAddedKey = '';
    jQuery(document).ready(function($) {
        fetchAndPopulateGoogleKey();

        $('#googleKey').on('blur', function() {
            userAddedKey = $(this).val();
            saveGoogleKey(userAddedKey);
        });

        function fetchAndPopulateGoogleKey() {
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'get_google_key',
                },
                success: function(response) {
                    userAddedKey = response.data.googleKey;
                    $('#googleKey').val(userAddedKey);
                },
                error: function(error) {
                    console.error(error);
                }
            });
        }

        function saveGoogleKey(googleKey) {
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'save_google_key',
                    google_key: googleKey,
                },
                success: function(response) {
                    alert(response.data);
                },
                error: function(error) {
                    console.error(error);
                }
            });
        }

        console.log(userAddedKey);
    });
</script>