<style>
    #generate-feature-image,
    #generate-content-image,
    #draft,
    #image-setting-data,
    span#custom_prompt_span {
        display: none;
    }

    /* The Modal (background) */
    .modal {
        display: none;
        /* Hidden by default */
        position: fixed;
        /* Stay in place */
        z-index: 1;
        /* Sit on top */
        padding-top: 100px;
        /* Location of the box */
        left: 0;
        top: 0;
        width: 100%;
        /* Full width */
        height: 100%;
        /* Full height */
        overflow: auto;
        /* Enable scroll if needed */
        background-color: rgb(0, 0, 0);
        /* Fallback color */
        background-color: rgba(0, 0, 0, 0.4);
        /* Black w/ opacity */
    }

    /* Modal Content */
    .modal-content {
        background-color: #fefefe;
        margin: auto;
        padding: 20px;
        border: 1px solid #888;
        width: 70%;
        border-radius: 20px;
    }

    /* The Close Button */
    .close {
        color: #000;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

    /* Add 3D click effect styles */
    .input-info-mode input[type='submit'] {
        transition: transform 0.1s ease;
    }

    .input-info-mode input[type='submit']:active {
        transform: translateY(1px);
    }
    #image-render-container {
    display: flex; /* Use flexbox to align items side by side */
    justify-content: space-between; /* Distribute space between the items */
    align-items: flex-start; /* Align items at the start of the container */
}

.image-container {
    flex: 1; /* Ensure the containers take up equal space */
    margin: 0 10px; /* Add some margin between the containers */
}

.image-container h3 {
    margin: 0 0 10px; /* Add some margin below the headers */
}

</style>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
<script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>

<?php
if (!defined('ABSPATH'))
    exit;

session_start();

include_once(PLUGIN_DIR . 'includes/wp-global.php');
global $wpdb, $current_user, $userStatus, $settingData, $sessionLogin, $api_user_id, $openAi;

wp_get_current_user();
$user_id = $current_user->ID;

if ($settingData) {
    $singleSettingArray = $settingData[0];
    $settingJson = wp_json_encode($singleSettingArray);
}

$modelRequest  = wp_remote_get($apiUrl . 'fetch-models');
$modelResponse = wp_remote_retrieve_body($modelRequest);

$gpt4_models = [];
$gpt35_models = [];
$custom_models = [];
$image_models = [];

if ($modelResponse) {
    $modelData = json_decode($modelResponse, true);
    foreach ($modelData['data'] as $model) {
        if (strpos($model['name'], 'gpt-4') !== false) {
            $gpt4_models[$model['name']] = $model['name'];
        } elseif (strpos($model['name'], 'gpt-3.5') !== false) {
            $gpt35_models[$model['name']] = $model['name'];
        } else {
            $custom_models[$model['name']] = $model['name'];
        }
    }
}

$imageModelRequest  = wp_remote_get($apiUrl . 'fetch-models?category_name=image');
$imageModelResponse = wp_remote_retrieve_body($imageModelRequest);

if ($imageModelResponse) {
    $imageModelData = json_decode($imageModelResponse, true);
    foreach ($imageModelData['data'] as $model) {
        $image_models[$model['name']] = $model['name'];
    }
}

$current_model = isset($singleSettingArray['model']) ? $singleSettingArray['model'] : '';
?>
<div class="loaderoverlay">
    <div class="loader-cv-spinner">
        <span class="loader-spinner"></span>
    </div>
</div>

<!-- Google fonts -->
<div class="plugins-accounts-wrapper plugins-contentui-wrapper">
    <div class="top-header">
        <h1>Content Writer</h1>
    </div>
    <div class="plugins-accounts-info">
        <div class="left-sec-wrap">
            <div class="logo-info">
                <div class="icon-info"><?php echo $iWhitelogo; ?></div>
            </div>
            <ul>
                <li><a href='javascript:void(0)' class="menu-link-info active" data-target="tabs-1">Express Mode</a></li>
                <li><a href='javascript:void(0)' class="menu-link-info" data-target="tabs-5">Custom Mode</a></li>
                <li><a href='javascript:void(0)' class="menu-link-info" data-target="tabs-2">Speech-to-Post</a></li>
                <li><a href='javascript:void(0)' class="menu-link-info" data-target="tabs-3">Playground</a></li>
                <li><a href='javascript:void(0)' class="menu-link-info" id="logs-tab" data-target="tabs-4">Logs</a></li>
            </ul>
        </div>
        <div class="right-sec-wrap">
            <!-- Express Mode -->
            <div class="main-content-wrap">
                <div class="main-content-info tabs active" data-tab="tabs-1">
                    <h3>Express Mode</h3>
                    <div class="content-area-info">
                        <div class="left-data-info">
                            <div class="full-wid input-data">
                                <div class="input-info">
                                    <span>Title:</span>
                                    <input type="text" id="preview_title" placholder="Enter title">
                                    <div class="sub-cta-info">
                                        <button onclick="generateContent()" id="generateText" class="btn sub-cta-info">Generate Text</button>
                                    </div>
                                </div>
                            </div>

                            <div class="editor-data-wrap">
                                <div class="cwem-tab">
                                    <button class="cwem-tablinks" onclick="openContent(event, 'Contentone')" id="defaultOpen">Content</button>
                                    <button class="cwem-tablinks" onclick="openContent(event, 'Seoone')">Seo</button>
            </div>

                                <div id="Contentone" class="cwem-tabcontent">
                                    <div class="content-info">
                                        <!-- <textarea id="content-text" name="" rows="10" cols="50"></textarea> -->
                                        <?php
                                        $content_text = '';
                                        wp_editor(
                                            $content_text,
                                            'content-text',  //Editor_ID
                                            array(
                                                'textarea_name' => '_wporg_preview_texarea',
                                                'editor_height' => 300,
                                                'media_buttons' => true,
                                                'wpautop' => false,
                                                'quicktags' => true,
                                                'tinymce' => true, // Textarea box// Textarea box
                                                'textarea_class' => 'preview_textarea'
                                            )
                                        );
                                        ?>
                                    </div>
                                </div>

                                <div id="Seoone" class="cwem-tabcontent">
                                    <p>Meta Description</p>
                                    <div class="content-info">

                                        <!-- <textarea id="meta-description" name="" rows="10" cols="50"></textarea> -->
                                        <?php
                                        $Meta_description = '';
                                        wp_editor(
                                            $Meta_description,
                                            'meta-description',  //Editor_ID
                                            array(
                                                'textarea_name' => '_wporg_preview_texarea',
                                                'editor_height' => 300,
                                                'media_buttons' => true,
                                                'wpautop' => false,
                                                'quicktags' => true,
                                                'tinymce' => true, // Textarea box// Textarea box
                                                'textarea_class' => 'preview_textarea'
                                            )
                                        );
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="right-data-info">
                            <div class="accordian-menu-wrap">
                                <button class="accordionmenu">Language, Style and Tone<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">
                                        <div class="input-data">
                                            <div class="label-info"><span>Language:</span></div>
                                            <div class="input-info">
                                                <select id="language">
                                                    <?php
                                                    foreach ($languageDataArray as $key => $languageData) {
                                                        $selected = ($languageData['language'] == 'English') ? 'selected' : ''; // Check if language is English
                                                        echo "<option value='" . esc_attr($languageData['language']) . "' " . esc_attr($selected) . ">" . esc_html($languageData['language']) . "</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>Style:</span></div>
                                            <div class="input-info">
                                                <select id="style">
                                                    <?php
                                                    foreach ($styleDataArray as $key => $styleData) {
                                                        echo "<option value='" . esc_attr($styleData['style_code']) . "'>" . esc_html($styleData['style_value']) . "</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>Tone:</span></div>
                                            <div class="input-info">
                                                <select id="tone">
                                                    <?php
                                                    foreach ($toneDataArray as $toneDataKey => $toneData) {
                                                        echo "<option value='" . esc_attr($toneDataKey) . "'>" . esc_html($toneData) . "</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <button class="accordionmenu">Headings<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">
                                        <div class="input-data">
                                            <div class="label-info"><span>Headings:</span></div>
                                            <div class="input-info">
                                                <select id="heading">
                                                    <?php
                                                    for ($heading = 1; $heading <= 15; $heading++) {
                                                        echo "<option value='" . esc_attr($heading) . "'>" . esc_html($heading) . "</option>";
                                                    }
                                                    ?>

                                                </select>

                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>Heading Tag:</span></div>
                                            <div class="input-info">
                                                <select id="heading-tag">
                                                    <?php
                                                    for ($heading = 'h1'; $heading <= 'h6'; $heading++) {
                                                        echo "<option value='" . esc_attr($heading) . "'>" . esc_html($heading) . "</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Outline Editor:</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="otline_editor" name="0" value="0">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <button class="accordionmenu">Keywords<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">

                                    <?php
                                    // Check subscription
                                    $url =  $apiUrl . 'check-subscription';


                                    // Prepare request arguments
                                    $args = array(
                                        'headers' => array(
                                            'secertkey' => esc_attr($secertkey),
                                        ),
                                    );

                                    // Perform the API request using WordPress HTTP API with the POST method
                                    $response = wp_safe_remote_post($url, $args);

                                    // Check for errors
                                    if (is_wp_error($response)) {
                                        // Handle the error
                                        echo '<p class="notecontentinfo">Error checking subscription: ' . esc_html($response->get_error_message()) . '</p>';
                                    } else {
                                        $httpCode = wp_remote_retrieve_response_code($response);

                                        // Request was successful, continue processing the response
                                        $subscription = json_decode(wp_remote_retrieve_body($response), true);
                                        $status = $subscription['message']['message'];

                                        // Display the HTML code based on the subscription status
                                        if ($status === 'Subscription Exist.') {


                                    ?>

                                            <div class="input-data-wrap">
                                                <div class="input-data bottom-input-text">
                                                    <div class="label-info"><span>Add Keywords?</span></div>
                                                    <div class="input-info">
                                                        <input type="text" id="add_keywords" placeholder="Available in Pro">
                                                        <span>(Use comma to seperate keywords)</span>
                                                    </div>
                                                </div>
                                                <div class="input-data bottom-input-text">
                                                    <div class="label-info"><span>Keywords to Avoid?</span></div>
                                                    <div class="input-info">
                                                        <input type="text" id="keywords_to_avoid" placeholder="Keywords to avoids">
                                                        <span>(Use comma to seperate keywords)</span>
                                                    </div>
                                                </div>
                                                <div class="input-data check-box-row">
                                                    <div class="label-info"><span>Make Keywords Bold:</span></div>
                                                    <div class="input-info">
                                                        <input type="checkbox" id="make_keywords_bold" name="0" value="0">
                                                    </div>
                                                </div>
                                            </div>

                                        <?php
                                        } else {
                                            // Display the HTML code if not subscribed
                                        ?>
                                            <div class="input-data-wrap">
                                                <div class="input-data bottom-input-text">
                                                    <div class="label-info"><span>Add Keywords?</span></div>
                                                    <div class="input-info">
                                                        <input type="text" disabled placeholder="upgrade pro version">
                                                        <span>(Use comma to seperate keywords)</span>
                                                    </div>
                                                </div>
                                                <div class="input-data bottom-input-text">
                                                    <div class="label-info"><span>Keywords to Avoid?</span></div>
                                                    <div class="input-info">
                                                        <input type="text" disabled placeholder="upgrade pro version">
                                                        <span>(Use comma to seperate keywords)</span>
                                                    </div>
                                                </div>
                                                <div class="input-data check-box-row">
                                                    <div class="label-info"><span>Make Keywords Bold:</span></div>
                                                    <div class="input-info">
                                                        <input type="checkbox" disabled name="0" value="0">
                                                    </div>
                                                </div>
                                            </div>
                                    <?php
                                        }
                                    }
                                    ?>


                                </div>
                                <button class="accordionmenu">Image<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">

                                        <div class="input-data">
                                            <div class="label-info"><span>Image:</span></div>
                                            <div class="input-info">
                                                <select id="image" placeholder="Please select a model">
                                                    <option value="">Select One</option>
                                                    <?php foreach ($image_models as $model) : ?>
                                                        <option value="<?php echo esc_attr($model); ?>" <?php echo ($current_model == $model) ? esc_attr('selected') : ''; ?>><?php echo esc_html($model); ?></option>
                                                        <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="input-data">
                                            <div class="label-info"><span>Featured Image:</span></div>
                                            <div class="input-info">
                                                <select id="featuredImageModel" placeholder="Please select a model">
                                                    <option value="">Select One</option>
                                                    <?php foreach ($image_models as $model) : ?>
                                                        <option value="<?php echo esc_attr($model); ?>" <?php echo ($current_model == $model) ? esc_attr('selected') : ''; ?>><?php echo esc_html($model); ?></option>
                                                        <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>


                                        <h4>DALL-E</h4>
                                        <div class="input-data">
                                            <div class="label-info"><span>Image Size:</span></div>
                                            <div class="input-info">
                                                <select id="image-size">
                                                    <option value="256x256">Small (256x256)</option>
                                                    <option value="512x512" selected="">Medium (512x512)</option>
                                                    <option value="1024x1024">Big (1024x1024)</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>Image Style</span></div>
                                            <div class="input-info">
                                                <select id="image-style">
                                                    <option value="">None</option>
                                                    <option value="abstract">Abstract</option>
                                                    <option value="modern">Modern</option>
                                                    <option value="impressionist">Impressionist</option>
                                                    <option value="popart">Pop Art</option>
                                                    <option value="cubism">Cubism</option>
                                                    <option value="surrealism">Surrealism</option>
                                                    <option value="contemporary">Contemporary</option>
                                                    <option value="cantasy">Fantasy</option>
                                                    <option value="graffiti">Graffiti</option>
                                                </select>
                                            </div>
                                        </div>
                                        <a href="javascript:void(0)" id="image_settings">[More or less Setting]</a>
                                        <div id="image-setting-data">
                                            <div class="input-data">
                                                <div class="label-info"><span>Artist:</span></div>
                                                <div class="input-info">
                                                    <select id="artist">
                                                        <option value="Salvador Dalí">Salvador Dalí</option>
                                                        <option value="Leonardo da Vinci">Leonardo da Vinci</option>
                                                        <option value="Michelangelo">Michelangelo</option>
                                                        <option value="Albrecht Dürer">Albrecht Dürer</option>
                                                        <option value="Alfred Sisley">Alfred Sisley</option>
                                                        <option value="Andrea Mantegna">Andrea Mantegna</option>
                                                        <option value="Andy Warhol">Andy Warhol</option>
                                                        <option value="Amedeo Modigliani">Amedeo Modigliani</option>
                                                        <option value="Camille Pissarro">Camille Pissarro</option>
                                                        <option value="Caravaggio">Caravaggio</option>
                                                        <option value="Caspar David Friedrich">Caspar David Friedrich</option>
                                                        <option value="Cézanne">Cézanne</option>
                                                        <option value="Claude Monet">Claude Monet</option>
                                                        <option value="Diego Velázquez">Diego Velázquez</option>
                                                        <option value="Eugène Delacroix">Eugène Delacroix</option>
                                                        <option value="Frida Kahlo">Frida Kahlo</option>
                                                        <option value="Gustav Klimt">Gustav Klimt</option>
                                                        <option value="Henri Matisse">Henri Matisse</option>
                                                        <option value="Henri de Toulouse-Lautrec">Henri de Toulouse-Lautrec</option>
                                                        <option value="Jackson Pollock">Jackson Pollock</option>
                                                        <option value="Jasper Johns">Jasper Johns</option>
                                                        <option value="Joan Miró">Joan Miró</option>
                                                        <option value="John Singer Sargent">John Singer Sargent</option>
                                                        <option value="Johannes Vermeer">Johannes Vermeer</option>
                                                        <option value="Mary Cassatt">Mary Cassatt</option>
                                                        <option value="M. C. Escher">M. C. Escher</option>
                                                        <option value="Paul Cézanne">Paul Cézanne</option>
                                                        <option value="Paul Gauguin">Paul Gauguin</option>
                                                        <option value="Paul Klee">Paul Klee</option>
                                                        <option value="Pierre-Auguste Renoir">Pierre-Auguste Renoir</option>
                                                        <option value="Pieter Bruegel the Elder">Pieter Bruegel the Elder</option>
                                                        <option value="Piet Mondrian">Piet Mondrian</option>
                                                        <option value="Pablo Picasso">Pablo Picasso</option>
                                                        <option value="Rembrandt">Rembrandt</option>
                                                        <option value="René Magritte">René Magritte</option>
                                                        <option value="Raphael">Raphael</option>
                                                        <option value="Sandro Botticelli">Sandro Botticelli</option>
                                                        <option value="Titian">Titian</option>
                                                        <option value="Theo van Gogh">Theo van Gogh</option>
                                                        <option value="Vincent van Gogh">Vincent van Gogh</option>
                                                        <option value="Vassily Kandinsky">Vassily Kandinsky</option>
                                                        <option value="Winslow Homer">Winslow Homer</option>
                                                        <option selected="" value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Photography:</span></div>
                                                <div class="input-info">
                                                    <select id="photography">
                                                        ><option value="Portrait">Portrait</option>
                                                        <option selected="" value="Landscape">Landscape</option>
                                                        <option value="Abstract">Abstract</option>
                                                        <option value="Action">Action</option>
                                                        <option value="Aerial">Aerial</option>
                                                        <option value="Agricultural">Agricultural</option>
                                                        <option value="Animal">Animal</option>
                                                        <option value="Architectural">Architectural</option>
                                                        <option value="Artistic">Artistic</option>
                                                        <option value="Astrophotography">Astrophotography</option>
                                                        <option value="Bird photography">Bird photography</option>
                                                        <option value="Black and white">Black and white</option>
                                                        <option value="Candid">Candid</option>
                                                        <option value="Cityscape">Cityscape</option>
                                                        <option value="Close-up">Close-up</option>
                                                        <option value="Commercial">Commercial</option>
                                                        <option value="Conceptual">Conceptual</option>
                                                        <option value="Corporate">Corporate</option>
                                                        <option value="Documentary">Documentary</option>
                                                        <option value="Event">Event</option>
                                                        <option value="Family">Family</option>
                                                        <option value="Fashion">Fashion</option>
                                                        <option value="Fine art">Fine art</option>
                                                        <option value="Food">Food</option>
                                                        <option value="Food photography">Food photography</option>
                                                        <option value="Glamour">Glamour</option>
                                                        <option value="Industrial">Industrial</option>
                                                        <option value="Lifestyle">Lifestyle</option>
                                                        <option value="Macro">Macro</option>
                                                        <option value="Nature">Nature</option>
                                                        <option value="Night">Night</option>
                                                        <option value="Product">Product</option>
                                                        <option value="Sports">Sports</option>
                                                        <option value="Street">Street</option>
                                                        <option value="Travel">Travel</option>
                                                        <option value="Underwater">Underwater</option>
                                                        <option value="Wedding">Wedding</option>
                                                        <option value="Wildlife">Wildlife</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Lighting:</span></div>
                                                <div class="input-info">
                                                    <select id="lighting">
                                                        <option selected="" value="Ambient">Ambient</option>
                                                        <option value="Artificial light">Artificial light</option>
                                                        <option value="Backlight">Backlight</option>
                                                        <option value="Black light">Black light</option>
                                                        <option value="Blue hour">Blue hour</option>
                                                        <option value="Candle light">Candle light</option>
                                                        <option value="Chiaroscuro">Chiaroscuro</option>
                                                        <option value="Cloudy">Cloudy</option>
                                                        <option value="Color gels">Color gels</option>
                                                        <option value="Continuous light">Continuous light</option>
                                                        <option value="Contre-jour">Contre-jour</option>
                                                        <option value="Direct light">Direct light</option>
                                                        <option value="Direct sunlight">Direct sunlight</option>
                                                        <option value="Diffused light">Diffused light</option>
                                                        <option value="Firelight">Firelight</option>
                                                        <option value="Flash">Flash</option>
                                                        <option value="Flat light">Flat light</option>
                                                        <option value="Fluorescent">Fluorescent</option>
                                                        <option value="Fog">Fog</option>
                                                        <option value="Front light">Front light</option>
                                                        <option value="Golden hour">Golden hour</option>
                                                        <option value="Hard light">Hard light</option>
                                                        <option value="Hazy sunlight">Hazy sunlight</option>
                                                        <option value="High key">High key</option>
                                                        <option value="Incandescent">Incandescent</option>
                                                        <option value="Key light">Key light</option>
                                                        <option value="LED">LED</option>
                                                        <option value="Low key">Low key</option>
                                                        <option value="Moonlight">Moonlight</option>
                                                        <option value="Natural light">Natural light</option>
                                                        <option value="Neon">Neon</option>
                                                        <option value="Open shade">Open shade</option>
                                                        <option value="Overcast">Overcast</option>
                                                        <option value="Paramount">Paramount</option>
                                                        <option value="Party lights">Party lights</option>
                                                        <option value="Photoflood">Photoflood</option>
                                                        <option value="Quarter light">Quarter light</option>
                                                        <option value="Reflected light">Reflected light</option>
                                                        <option value="Rim light">Rim light</option>
                                                        <option value="Shaded">Shaded</option>
                                                        <option value="Shaded light">Shaded light</option>
                                                        <option value="Silhouette">Silhouette</option>
                                                        <option value="Side light">Side light</option>
                                                        <option value="Single-source">Single-source</option>
                                                        <option value="Softbox">Softbox</option>
                                                        <option value="Soft light">Soft light</option>
                                                        <option value="Split lighting">Split lighting</option>
                                                        <option value="Stage lighting">Stage lighting</option>
                                                        <option value="Studio light">Studio light</option>
                                                        <option value="Sunburst">Sunburst</option>
                                                        <option value="Tungsten">Tungsten</option>
                                                        <option value="Umbrella lighting">Umbrella lighting</option>
                                                        <option value="Underexposed">Underexposed</option>
                                                        <option value="Venetian blinds">Venetian blinds</option>
                                                        <option value="Warm light">Warm light</option>
                                                        <option value="White balance">White balance</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Subject:</span></div>
                                                <div class="input-info">
                                                    <select id="image-subject">
                                                        <option value="Landscapes">Landscapes</option>
                                                        <option value="People">People</option>
                                                        <option value="Animals">Animals</option>
                                                        <option value="Food">Food</option>
                                                        <option value="Cars">Cars</option>
                                                        <option value="Architecture">Architecture</option>
                                                        <option value="Flowers">Flowers</option>
                                                        <option value="Still life">Still life</option>
                                                        <option value="Portrait">Portrait</option>
                                                        <option value="Cityscapes">Cityscapes</option>
                                                        <option value="Seascapes">Seascapes</option>
                                                        <option value="Nature">Nature</option>
                                                        <option value="Action">Action</option>
                                                        <option value="Events">Events</option>
                                                        <option value="Street">Street</option>
                                                        <option value="Abstract">Abstract</option>
                                                        <option value="Candid">Candid</option>
                                                        <option value="Underwater">Underwater</option>
                                                        <option value="Night">Night</option>
                                                        <option value="Wildlife">Wildlife</option>
                                                        <option selected="" value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Camera:</span></div>
                                                <div class="input-info">
                                                    <select id="image-camera">
                                                        <option selected="" value="Aperture">Aperture</option>
                                                        <option value="Active D-Lighting">Active D-Lighting</option>
                                                        <option value="Auto Exposure Bracketing">Auto Exposure Bracketing</option>
                                                        <option value="Auto Focus Mode">Auto Focus Mode</option>
                                                        <option value="Auto Focus Point">Auto Focus Point</option>
                                                        <option value="Auto Lighting Optimizer">Auto Lighting Optimizer</option>
                                                        <option value="Auto Rotate">Auto Rotate</option>
                                                        <option value="Aspect Ratio">Aspect Ratio</option>
                                                        <option value="Audio Recording">Audio Recording</option>
                                                        <option value="Auto ISO">Auto ISO</option>
                                                        <option value="Chromatic Aberration Correction">Chromatic Aberration Correction</option>
                                                        <option value="Color Space">Color Space</option>
                                                        <option value="Continuous Shooting">Continuous Shooting</option>
                                                        <option value="Distortion Correction">Distortion Correction</option>
                                                        <option value="Drive Mode">Drive Mode</option>
                                                        <option value="Dynamic Range">Dynamic Range</option>
                                                        <option value="Exposure Compensation">Exposure Compensation</option>
                                                        <option value="Flash Mode">Flash Mode</option>
                                                        <option value="Focus Mode">Focus Mode</option>
                                                        <option value="Focus Peaking">Focus Peaking</option>
                                                        <option value="Frame Rate">Frame Rate</option>
                                                        <option value="GPS">GPS</option>
                                                        <option value="Grid Overlay">Grid Overlay</option>
                                                        <option value="High Dynamic Range">High Dynamic Range</option>
                                                        <option value="Highlight Tone Priority">Highlight Tone Priority</option>
                                                        <option value="Image Format">Image Format</option>
                                                        <option value="Image Stabilization">Image Stabilization</option>
                                                        <option value="Interval Timer Shooting">Interval Timer Shooting</option>
                                                        <option value="ISO">ISO</option>
                                                        <option value="ISO Auto Setting">ISO Auto Setting</option>
                                                        <option value="Lens Correction">Lens Correction</option>
                                                        <option value="Live View">Live View</option>
                                                        <option value="Long Exposure Noise Reduction">Long Exposure Noise Reduction</option>
                                                        <option value="Manual Focus">Manual Focus</option>
                                                        <option value="Metering Mode">Metering Mode</option>
                                                        <option value="Movie Mode">Movie Mode</option>
                                                        <option value="Movie Quality">Movie Quality</option>
                                                        <option value="Noise Reduction">Noise Reduction</option>
                                                        <option value="Picture Control">Picture Control</option>
                                                        <option value="Picture Style">Picture Style</option>
                                                        <option value="Quality">Quality</option>
                                                        <option value="Self-Timer">Self-Timer</option>
                                                        <option value="Shutter Speed">Shutter Speed</option>
                                                        <option value="Time-lapse Interval">Time-lapse Interval</option>
                                                        <option value="Time-lapse Recording">Time-lapse Recording</option>
                                                        <option value="Virtual Horizon">Virtual Horizon</option>
                                                        <option value="Video Format">Video Format</option>
                                                        <option value="White Balance">White Balance</option>
                                                        <option value="Zebra Stripes">Zebra Stripes</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Composition:</span></div>
                                                <div class="input-info">
                                                    <select id="image-composition">
                                                        <option selected="" value="Rule of Thirds">Rule of Thirds</option>
                                                        <option value="Asymmetrical">Asymmetrical</option>
                                                        <option value="Balance">Balance</option>
                                                        <option value="Centered">Centered</option>
                                                        <option value="Close-up">Close-up</option>
                                                        <option value="Color blocking">Color blocking</option>
                                                        <option value="Contrast">Contrast</option>
                                                        <option value="Cropping">Cropping</option>
                                                        <option value="Diagonal">Diagonal</option>
                                                        <option value="Documentary">Documentary</option>
                                                        <option value="Environmental Portrait">Environmental Portrait</option>
                                                        <option value="Fill the Frame">Fill the Frame</option>
                                                        <option value="Framing">Framing</option>
                                                        <option value="Golden Ratio">Golden Ratio</option>
                                                        <option value="High Angle">High Angle</option>
                                                        <option value="Leading Lines">Leading Lines</option>
                                                        <option value="Long Exposure">Long Exposure</option>
                                                        <option value="Low Angle">Low Angle</option>
                                                        <option value="Macro">Macro</option>
                                                        <option value="Minimalism">Minimalism</option>
                                                        <option value="Negative Space">Negative Space</option>
                                                        <option value="Panning">Panning</option>
                                                        <option value="Patterns">Patterns</option>
                                                        <option value="Photojournalism">Photojournalism</option>
                                                        <option value="Point of View">Point of View</option>
                                                        <option value="Portrait">Portrait</option>
                                                        <option value="Reflections">Reflections</option>
                                                        <option value="Saturation">Saturation</option>
                                                        <option value="Scale">Scale</option>
                                                        <option value="Selective Focus">Selective Focus</option>
                                                        <option value="Shallow Depth of Field">Shallow Depth of Field</option>
                                                        <option value="Silhouette">Silhouette</option>
                                                        <option value="Simplicity">Simplicity</option>
                                                        <option value="Snapshot">Snapshot</option>
                                                        <option value="Street Photography">Street Photography</option>
                                                        <option value="Symmetry">Symmetry</option>
                                                        <option value="Telephoto">Telephoto</option>
                                                        <option value="Texture">Texture</option>
                                                        <option value="Tilt-Shift">Tilt-Shift</option>
                                                        <option value="Time-lapse">Time-lapse</option>
                                                        <option value="Tracking Shot">Tracking Shot</option>
                                                        <option value="Travel">Travel</option>
                                                        <option value="Triptych">Triptych</option>
                                                        <option value="Ultra-wide">Ultra-wide</option>
                                                        <option value="Vanishing Point">Vanishing Point</option>
                                                        <option value="Viewpoint">Viewpoint</option>
                                                        <option value="Vintage">Vintage</option>
                                                        <option value="Wide Angle">Wide Angle</option>
                                                        <option value="Zoom Blur">Zoom Blur</option>
                                                        <option value="Zoom In/Zoom Out">Zoom In/Zoom Out</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Resolution:</span></div>
                                                <div class="input-info">
                                                    <select id="image-resolution">
                                                        <option selected="" value="4K (3840x2160)">4K (3840x2160)</option>
                                                        <option value="1080p (1920x1080)">1080p (1920x1080)</option>
                                                        <option value="720p (1280x720)">720p (1280x720)</option>
                                                        <option value="480p (854x480)">480p (854x480)</option>
                                                        <option value="2K (2560x1440)">2K (2560x1440)</option>
                                                        <option value="1080i (1920x1080)">1080i (1920x1080)</option>
                                                        <option value="720i (1280x720)">720i (1280x720)</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Color:</span></div>
                                                <div class="input-info">
                                                    <select id="image-color">
                                                        <option selected="" value="RGB">RGB</option>
                                                        <option value="CMYK">CMYK</option>
                                                        <option value="Grayscale">Grayscale</option>
                                                        <option value="HEX">HEX</option>
                                                        <option value="Pantone">Pantone</option>
                                                        <option value="CMY">CMY</option>
                                                        <option value="HSL">HSL</option>
                                                        <option value="HSV">HSV</option>
                                                        <option value="LAB">LAB</option>
                                                        <option value="LCH">LCH</option>
                                                        <option value="LUV">LUV</option>
                                                        <option value="XYZ">XYZ</option>
                                                        <option value="YUV">YUV</option>
                                                        <option value="YIQ">YIQ</option>
                                                        <option value="YCbCr">YCbCr</option>
                                                        <option value="YPbPr">YPbPr</option>
                                                        <option value="YDbDr">YDbDr</option>
                                                        <option value="YCoCg">YCoCg</option>
                                                        <option value="YCgCo">YCgCo</option>
                                                        <option value="YCC">YCC</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Special Effects:</span></div>
                                                <div class="input-info">
                                                    <select id="special-effects-image">
                                                        <option selected="" value="Cinemagraph">Cinemagraph</option>
                                                        <option value="3D">3D</option>
                                                        <option value="Add Noise">Add Noise</option>
                                                        <option value="Black and White">Black and White</option>
                                                        <option value="Blur">Blur</option>
                                                        <option value="Bokeh">Bokeh</option>
                                                        <option value="Brightness and Contrast">Brightness and Contrast</option>
                                                        <option value="Camera Shake">Camera Shake</option>
                                                        <option value="Clarity">Clarity</option>
                                                        <option value="Color Balance">Color Balance</option>
                                                        <option value="Color Pop">Color Pop</option>
                                                        <option value="Color Temperature">Color Temperature</option>
                                                        <option value="Cross Processing">Cross Processing</option>
                                                        <option value="Crop and Rotate">Crop and Rotate</option>
                                                        <option value="Dehaze">Dehaze</option>
                                                        <option value="Denoise">Denoise</option>
                                                        <option value="Diffuse Glow">Diffuse Glow</option>
                                                        <option value="Displace">Displace</option>
                                                        <option value="Distort">Distort</option>'
                                                        <option value="Double exposure">Double exposure</option>
                                                        <option value="Duotone">Duotone</option>
                                                        <option value="Edge Detection">Edge Detection</option>
                                                        <option value="Emboss">Emboss</option>
                                                        <option value="Exposure">Exposure</option>
                                                        <option value="Fish Eye">Fish Eye</option>
                                                        <option value="Flare">Flare</option>
                                                        <option value="Flip">Flip</option>
                                                        <option value="Fractalius">Fractalius</option>
                                                        <option value="Glowing Edges">Glowing Edges</option>
                                                        <option value="Gradient Map">Gradient Map</option>
                                                        <option value="Grayscale">Grayscale</option>
                                                        <option value="Halftone">Halftone</option>
                                                        <option value="HDR">HDR</option>
                                                        <option value="HDR Look">HDR Look</option>
                                                        <option value="High Pass">High Pass</option>
                                                        <option value="Hue and Saturation">Hue and Saturation</option>
                                                        <option value="Impressionist">Impressionist</option>
                                                        <option value="Infrared">Infrared</option>
                                                        <option value="Invert">Invert</option>
                                                        <option value="Lens Correction">Lens Correction</option>
                                                        <option value="Lens flare">Lens flare</option>
                                                        <option value="Lomo Effect">Lomo Effect</option>
                                                        <option value="Motion Blur">Motion Blur</option>
                                                        <option value="Night Vision">Night Vision</option>
                                                        <option value="Oil Painting">Oil Painting</option>
                                                        <option value="Old Photo">Old Photo</option>
                                                        <option value="Orton Effect">Orton Effect</option>
                                                        <option value="Panorama">Panorama</option>
                                                        <option value="Pinch">Pinch</option>
                                                        <option value="Pixelate">Pixelate</option>
                                                        <option value="Polar Coordinates">Polar Coordinates</option>
                                                        <option value="Posterize">Posterize</option>
                                                        <option value="Radial Blur">Radial Blur</option>
                                                        <option value="Rain">Rain</option>
                                                        <option value="Reflect">Reflect</option>
                                                        <option value="Ripple">Ripple</option>
                                                        <option value="Sharpen">Sharpen</option>
                                                        <option value="Slow motion">Slow motion</option>
                                                        <option value="Stop-motion">Stop-motion</option>
                                                        <option value="Solarize">Solarize</option>
                                                        <option value="Starburst">Starburst</option>
                                                        <option value="Sunburst">Sunburst</option>
                                                        <option value="Timelapse">Timelapse</option>
                                                        <option value="Tilt-shift">Tilt-shift</option>
                                                        <option value="Vignette">Vignette</option>
                                                        <option value="Zoom blur">Zoom blur</option>
                                                        <option value="None">None</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <h4>Pexels</h4>
                                            <div class="input-data">
                                                <div class="label-info"><span>Orientation:</span></div>
                                                <div class="input-info">
                                                    <select id="image-pexels-orientation">
                                                        <option value="">None</option>
                                                        <option value="landscape">Landscape</option>
                                                        <option value="portrait">Portrait</option>
                                                        <option value="square">Square</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="input-data">
                                                <div class="label-info"><span>Size:</span></div>
                                                <div class="input-info">
                                                    <select id="image-pexels-orientation">
                                                        <option value="">None</option>
                                                        <option value="large">Large</option>
                                                        <option value="medium">Medium</option>
                                                        <option value="small">Small</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <button class="accordionmenu">Additional Content<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Add Tagline?</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="add_tagline" />
                                            </div>
                                        </div>
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Add Introduction?</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="add_introduction" />
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>Intro Title Tag:</span></div>
                                            <div class="input-info">
                                                <select id="intro_title_tag">
                                                    <option value="h1">h1</option>
                                                    <option value="h2">h2</option>
                                                    <option value="h3">h3</option>
                                                    <option value="h4">h4</option>
                                                    <option value="h5">h5</option>
                                                    <option value="h6">h6</option>
                                                </select>

                                            </div>
                                        </div>
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Add Conclusion?</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="add_conclusion" name="0" value="0">
                                            </div>
                                        </div>



                                        <div class="input-data">
                                            <div class="label-info"><span>Conclusion Title Tag</span></div>
                                            <div class="input-info">
                                                <select id="conclusion_title_tag">
                                                    <option value="h1">h1</option>
                                                    <option value="h2">h2</option>
                                                    <option value="h3">h3</option>
                                                    <option value="h4">h4</option>
                                                    <option value="h5">h5</option>
                                                    <option value="h6">h6</option>
                                                </select>
                                            </div>
                                        </div>


                                        <?php
                                        // Check subscription
                                        $url =  $apiUrl . 'check-subscription';

                                        // Prepare request arguments
                                        $args = array(
                                            'headers' => array(
                                                'secertkey' => esc_attr($secertkey),
                                            ),
                                        );

                                        // Perform the API request using WordPress HTTP API with the POST method
                                        $response = wp_safe_remote_post($url, $args);

                                        // Check for errors
                                        if (is_wp_error($response)) {
                                            // Handle the error
                                            echo '<p class="notecontentinfo">Error checking subscription: ' . esc_html($response->get_error_message()) . '</p>';
                                        } else {
                                            $httpCode = wp_remote_retrieve_response_code($response);

                                            // Request was successful, continue processing the response
                                            $subscription = json_decode(wp_remote_retrieve_body($response), true);
                                            $status = $subscription['message']['message'];

                                            // Display the HTML code based on the subscription status
                                            if ($status === 'Subscription Exist.') {


                                        ?>
                                                <div class="input-data check-box-row">
                                                    <div class="label-info"><span>Add Q&A:</span></div>
                                                    <div class="input-info">
                                                        <input type="checkbox" id="available_in_pro" />
                                                    </div>
                                                </div>

                                            <?php
                                            } else {
                                                // Display the HTML code if not subscribed
                                            ?>
                                                <div class="input-data check-box-row">
                                                    <div class="label-info"><span>Add Q&A:</span></div>
                                                    <div class="input-info">
                                                        <input type="checkbox" disabled /> Upgrade Pro Version
                                                    </div>
                                                </div>
                                        <?php
                                            }
                                        }
                                        ?>

                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Add Table of Contents?</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="add_table_of_content" />
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>ToC Title</span></div>
                                            <div class="input-info">
                                                <input type="text" id="toc_title" />
                                            </div>
                                        </div>
                                        <div class="input-data">
                                            <div class="label-info"><span>ToC Title Tag</span></div>
                                            <div class="input-info">
                                                <select id="toC_title_tag">
                                                    <option value="h1">h1</option>
                                                    <option value="h2">h2</option>
                                                    <option value="h3">h3</option>
                                                    <option value="h4">h4</option>
                                                    <option value="h5">h5</option>
                                                    <option value="h6">h6</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <button class="accordionmenu">Links
                                    <span class="arrow-up-down"><?php echo $iArrowupdown; ?></span>
                                </button>
                                <div class="am-panel">

                                    <div class="input-data-wrap">
                                        <div class="input-data bottom-input-text">
                                            <div class="label-info"><span>Anchor Text?</span></div>
                                            <div class="input-info">
                                                <input type="text" id="anchor-text" placeholder="e.g battery life">
                                            </div>
                                        </div>
                                        <div class="input-data bottom-input-text">
                                            <div class="label-info"><span>Target URL?</span></div>
                                            <div class="input-info">
                                                <input type="text" id="target-url" placeholder="https://">
                                                <span>(Use comma to seperate keywords)</span>
                                            </div>
                                        </div>
                                        <div class="input-data bottom-input-text">
                                            <div class="label-info"><span>Add Call-to-Action?</span></div>
                                            <div class="input-info">
                                                <input type="text" id="add-call-to-position" placeholder="https://">
                                                <span>Enter target URL.</span>
                                            </div>
                                        </div>
                                        <div class="input-data bottom-input-text">
                                            <div class="label-info"><span>CTA Position?</span></div>
                                            <div class="input-info">
                                                <select id="cta-position">
                                                    <option value="Beginning">Beginning</option>
                                                </select>

                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <button class="accordionmenu">SEO<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Meta Description?</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="metaDescription">
                                            </div>
                                        </div>
                                        <div class="input-data bottom-input-text">
                                            <div class="label-info"><span>Tags:</span></div>
                                            <div class="input-info">
                                                <input id="tags" type="text" value="" placeholder="">
                                                <span>(Use comma to seperate tags)</span>
                                            </div>
                                        </div>


                                    </div>

                                </div>
                                <button class="accordionmenu">Custom Prompt<span class="arrow-up-down"><?php echo $iArrowupdown; ?></span></button>
                                <div class="am-panel">
                                    <div class="input-data-wrap">
                                        <div class="input-data check-box-row">
                                            <div class="label-info"><span>Enable:</span></div>
                                            <div class="input-info">
                                                <input type="checkbox" id="custom_prompt">
                                                <span id="custom_prompt_span">
                                                    <h6>Best Practices and TipsEnsure [title] is included in your prompt.</h6>
                                                    <p>You can add your language to the prompt. Just replace "in English" with your language.</p>
                                                    <p>This works best with gpt-4 and gpt-3.5-turbo and gpt-3.5-turbo-16k. Please note that GPT-4 is currently in limited beta, which means that access to the GPT-4 API from OpenAI is available only through a waiting list and is not open to everyone yet. You can sign up for the waiting list at here.</p>
                                                    <p>Please note that if custom prompt is enabled the plugin will bypass language, style, tone etc settings. You need to specify them in your prompt.</p>
                                                    <textarea id="custom_prompt_textarea" cols="30" rows="10"></textarea>
                                                </span>


                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="left-data-info search-data-wrap" id="" style="display:none">
                                    <div class="input-data-wrap">
                                        <h4>Output</h4>
                                        <div class="show-image-generator" id="show-image-generator-dall-e">

                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>


                    </div>
                    <div id="image-render-container">
                    <div class="image-container">
                    <h3>Content Image</h3>
                            <span id="generate-content-image-span"></span>
                        </div>
                        <div class="image-container">
                        <h3>Feature Image</h3>
                            <span id="generate-feature-image-span"></span>
                        </div>
                    </div>
                    <input type="hidden" id="stored_feature_image_url" />
                    <input type="hidden" id="stored_content_image_url" />
                    <button id="myBtnContent" style="display:none">Open Modal</button>
                    <button id="myBtnFeature" style="display:none">Open Modal</button>

                    <div class="save-cta-info">
                        <a href="javascript:void(0)" id="draft" style="display: none;">Draft</a>
                    </div>
                </div>
            </div>

            <!-- Speach To Text -->
            <div class="main-content-info tabs" data-tab="tabs-2">
                <h3>Speech-to-Post</h3>
                <div class="full-wid-content-area-info">

                    <div class="full-wid-data-info">

                        <p>Simply press the record button and speak your prompt, just like you would in a conversation.</p>
                        <div class="please-note-info mt-0">
                            <h4>Example</h4>
                            <p>"Write a blog post about the latest mobile phones and their features. Include an introduction that highlights the importance of mobile phones in today's world. In the body of the post, discuss the latest mobile phone trends, such as foldable screens, 5G connectivity, and high refresh rate displays. Also, mention the most popular mobile phone brands and their latest releases. Don't forget to discuss the benefits and drawbacks of each phone and how they compare to one another. In the conclusion, summarize the key points of the post."</p>

                        </div>
                        <div class="speak-btn-info">
                            <button type="button" class="generate-button" onclick="runSpeechRecognition()">
                                <svg width="26" height="26" viewBox="0 0 26 26" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M16.934 8.95267C16.6663 6.93965 15.6446 5.10357 14.0757 3.81592C12.5068 2.52828 10.5079 1.88522 8.48329 2.01686C6.45869 2.14849 4.55964 3.04499 3.17035 4.52496C1.78107 6.00493 1.0053 7.95787 1 9.98865C1 11.8824 1.657 13.6231 2.756 14.9944C3.564 16.0043 4 17.1204 4 18.3025V22H13L13.001 18.9972H15C15.5304 18.9972 16.0391 18.7862 16.4142 18.4108C16.7893 18.0354 17 17.5262 17 16.9953V14.0635L18.96 13.2227C19.302 13.0766 19.332 12.7282 19.184 12.495L16.934 8.95167V8.95267ZM3 9.98865C2.99846 8.46243 3.57751 6.99288 4.61947 5.8786C5.66143 4.76433 7.08814 4.08893 8.60969 3.98965C10.1312 3.89037 11.6335 4.37465 12.8111 5.34409C13.9888 6.31354 14.7536 7.69541 14.95 9.20891L15.007 9.65133L16.55 12.0786L15 12.7433V16.9953H11.002L11 19.9981H6V18.3025C6 16.662 5.409 15.1075 4.315 13.7422C3.46101 12.6782 2.99691 11.3535 3 9.98865ZM21.154 18.0983L19.489 16.9873C20.4766 15.5085 21.0026 13.7693 21 11.9905C21.0031 10.2116 20.4775 8.47191 19.49 6.99282L21.154 5.88177C22.3612 7.6896 23.0038 9.81606 23 11.9905C23 14.2507 22.32 16.3507 21.154 18.0983Z" fill="#1288C3" />
                                </svg>
                                Speak</button>
                            <button type="button" class="generate-button" onclick="stopSpeechRecognition()" style="display: none;">Stop</button>
                            <button type="button" class="generate-button" onclick="cancelSpeechRecognition()" style="display: none;">Cancel</button>
                            &nbsp;
                            <span id="action"></span>
                        </div>
                        <div id="output" class="hide"></div>

                    </div>

                </div>
                <div class="full-wid-data-info" style="margin-top:1em; ">
                    <div class="editor-data-wrap">
                        <div class="content-info">
                            <?php
                            $custom_text_value = '';
                            wp_editor(
                                $custom_text_value,
                                'textarea-input-speak-text',  //Editor_ID
                                array(
                                    'textarea_name' => '_wporg_preview_texarea',
                                    'editor_height' => 300,
                                    'media_buttons' => true,
                                    'wpautop' => false,
                                    'quicktags' => true,
                                    'tinymce' => true, // Textarea box// Textarea box
                                    'textarea_class' => 'preview_textarea'
                                )
                            );
                            ?>
                        </div>

                    </div>
                </div>



            </div>

            <!-- Custom Mode -->
            <div class="main-content-info tabs" data-tab="tabs-5">

                <h3>Custom Mode</h3>
                <div class="content-area-info">
                    <div class="right-data-info">

                        <div class="right-content-info">

                            <div class="input-data-mode input-data-mode-1" style="margin-bottom: 20px;">
                                <div class="fordatarow">

                                    <div class="input-info-mode" style="margin-block: auto">
                                        <span class="check-user-inputrdio-info">
                                            <input type="radio" name="title-option" class="suggest-radio-titles" attr="topics" value="topics-radio" id="topics-radio" checked>
                                            <label for="topics-radio" class="label-info-mode"><span>Topics</span></label>
                                        </span>
                                        <span class="check-user-inputrdio-info">
                                            <input type="radio" name="title-option" class="suggest-radio-titles" value="use-my-own-title" attr="use-my-own-title" id="own-title-radio">
                                            <label for="own-title-radio" class="label-info-mode"><span>Use My Own Title</span></label>
                                        </span>

                                    </div>
                                    <span class="check-user-inputsel-info">
                                        <span class="title_heading">#of titles</span>
                                        <select id="title_count">
                                            <option value="3">3</option>
                                            <option selected="" value="5">5</option>
                                            <option value="7">7</option>
                                        </select>
                                    </span>

                                    <div class="input-info-mode">
                                        <input type="submit" value="Suggest Titles" id="submit-button">
                                    </div>
                                </div>



                                <div class="input-data-mode">
                                    <div class="input-info-mode" id="topics-input">
                                        <input type="text" id="topics-title" placeholder="Topic: e.g Mobile Phones" required>
                                    </div>
                                    <div class="input-info-mode" id="own-title-input" style="display: none;">
                                        <input type="text" id="own-title" placeholder="Please Enter Title" required>
                                    </div>
                                </div>
                                <span id="title-generate-select"></span>

                            </div>

                            <!-- Section -->
                            <div class="input-data-mode">
                                <div class="fordatarow">

                                    <div class="label-info-mode"><span>Section</span></div>
                                    <span class="check-user-inputsel-info">
                                        <span class="title_heading">#of sections</span>
                                        <select id="section_count">
                                            <option value="2">2</option>
                                            <option value="4">4</option>
                                            <option value="6">6</option>
                                            <option value="8">8</option>
                                            <option value="10">10</option>
                                            <option value="12">12</option>
                                        </select>
                                    </span>
                                    <div class="input-info-mode">
                                        <input type="submit" value="Generate Sections" id="submit-section" disabled>
                                    </div>
                                </div>
                                <div class="input-info-mode">
                                    <textarea rows="4" type="text" id="custom-mode-section" placeholder="" required></textarea>
                                </div>

                            </div>

                            <!-- Content -->
                            <div class="input-data-mode">
                                <div class="fordatarow">
                                    <div class="label-info-mode"><span>Content</span></div>
                                    <span class="check-user-inputsel-info">

                                        <span class="title_heading">#of Paragraph per Section </span>
                                        <select id="paragraph_count">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                            <option value="10">10</option>
                                        </select>
                                    </span>
                                    <div class="input-info-mode">
                                        <input type="submit" value="Generate Content" id="submit-Content" disabled>
                                    </div>
                                </div>
                                <div class="input-info-mode">
                                    <textarea rows="4" type="text" id="custom_content" placeholder="" required></textarea>
                                </div>

                            </div>

                            <!-- Expert -->
                            <div class="input-data-mode">
                                <div class="fordatarow">

                                    <div class="label-info-mode"><span>Expert</span></div>
                                    <div class="input-info-mode">
                                        <input type="submit" value="Suggest Expert" id="submit-expert" disabled>
                                    </div>
                                </div>
                                <div class="input-info-mode">
                                    <textarea rows="4" type="text" id="custom_expert" placeholder="" required></textarea>
                                </div>
                            </div>

                            <!-- Meta Description -->
                            <div class="input-data-mode">
                                <div class="fordatarow">

                                    <div class="label-info-mode"><span>Meta Description</span></div>
                                    <div class="input-info-mode">
                                        <input type="submit" value="Suggest Meta" id="submit-meta" disabled>
                                    </div>
                                </div>
                                <div class="input-info-mode">
                                    <textarea rows="4" type="text" id="custom_meta" placeholder="" required></textarea>
                                </div>

                            </div>

                            <div class="save-cta-info">
                                <a href='javascript:void(0)' id="saveButton" style="display: none;">Save</a>
                            </div>

                        </div>

                    </div>


                    <div class="left-data-info">
                        <div class="left-data-info">
                            <div class="input-data">
                                <div class="label-info"><span>Settings</span></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Template:</span></div>
                                <div class="input-info">
                                    <select id="custom-mode-template">
                                        <?php
                                        $tableNameUser = $wpdb->prefix . 'custom_mode_template';
                                        $user_id = get_current_user_id(); // Get the current user ID in WordPress

                                        $sql = $wpdb->get_results(
                                            $wpdb->prepare(
                                                "SELECT DISTINCT templateName FROM $tableNameUser WHERE user_id = %d",
                                                $user_id
                                            )
                                        );

                                        foreach ($sql as $template) {
                                            echo '<option value="' . esc_attr($template->templateName) . '">' . esc_html($template->templateName) . '</option>';
                                        }

                                        ?>
                                        <!-- <option value="Default">Default</option> -->
                                    </select>
                                </div>
                            </div>


                            <div class="input-data">
                                <div class="label-info"><span>Name:</span></div>
                                <div class="input-info">
                                    <input type="text" id="custom-mode-template-name" value="dummp template" placeholder="Enter a Template Name" required />
                                </div>
                            </div>

                            <div class="input-data">
                                <div class="label-info"><span>Post Type:</span></div>
                                <div class="input-info">
                                    <select id="custom-mode-post-type">
                                        <option value="post">Post</option>
                                        <option value="page">Page</option>
                                    </select>
                                </div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Model:</span></div>
                                <div class="input-info">
                                    <select id="custom-mode-model" name="model" class="specific-select">
                                        <option value=""><?php echo esc_html__('Select One'); ?></option>
                                        <optgroup label="GPT-4">
                                            <?php foreach ($gpt4_models as $value => $name) { ?>
                                                <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                    <?php echo esc_html($name); ?>
                                                </option>
                                            <?php } ?>
                                        </optgroup>
                                        <optgroup label="GPT-3.5">
                                            <?php foreach ($gpt35_models as $value => $name) { ?>
                                                <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                    <?php echo esc_html($name); ?>
                                                </option>
                                            <?php } ?>
                                        </optgroup>
                                        <optgroup label="Custom Models">
                                            <?php foreach ($custom_models as $value => $name) { ?>
                                                <option value="<?php echo esc_attr($value); ?>" <?php selected($value, $current_model); ?>>
                                                    <?php echo esc_html($name); ?>
                                                </option>
                                            <?php } ?>
                                        </optgroup>
                                    </select>
                                </div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Temperature:</span></div>
                                <div class="input-info"><input type="text" id="custom-mode-temperature" value="1" placeholder="Enter Temperature" required /></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Max Tokens:</span></div>
                                <div class="input-info"><input type="text" id="custom-mode-max-token" value="1400" placeholder="Enter Max Tokens" required></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Top P:</span></div>
                                <div class="input-info"><input type="text" id="custom-mode-top-p" value="1" placeholder="Enter Top P" required></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Best Of:</span></div>
                                <div class="input-info"><input type="text" value="1" id="custom-mode-best-of" placeholder="Enter Best Of" required></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Frequency Penalty:</span></div>
                                <div class="input-info"><input type="text" id="custom-mode-frequency-penalty" value="1" placeholder="Enter Frequency Penalty" required></div>
                            </div>
                            <div class="input-data">
                                <div class="label-info"><span>Presence Penalty:</span></div>
                                <div class="input-info"><input type="text" id="custom-mode-presence-penalty" value="1" placeholder="Enter Presence Penalty" required></div>
                            </div>
                        </div>
                        <div class="input-data-mode">
                            <div class="label-info"><span>Prompt for Title:</span></div>
                            <div class="input-info-mode">
                                <textarea type="text" id="custom-mode-prompt">Suggest [count] title for an article about [topic]</textarea>
                                <p>Ensure [count] and [topic] is include in your prompt</p>
                            </div>
                        </div>
                        <div class="input-data-mode">
                            <div class="label-info"><span>Prompt for Sections:</span></div>
                            <div class="input-info-mode">
                                <textarea type="text" id="custom-prompt-section">Write [count] consecutive headings for an article about [title]</textarea>
                                <p>Ensure [count] and [topic] is include in your prompt</p>
                            </div>
                        </div>

                        <div class="left-data-info">
                            <div class="input-data-mode">
                                <div class="label-info"><span>Prompt for Content:</span></div>
                                <div class="input-info-mode">
                                    <textarea id="custom-prompt-content">Write a comprehensive article about [title], covering the following subtopics [sections]. Each subtopic should have at least [count] paragraphs. Use a cohesive structure to ensure smooth transitions between ideas. Incluse relevant statistics, examples, and quotes to support your arguments and engage the reader.</textarea>
                                    <p>Ensure [count] and [topic] is include in your prompt</p>
                                </div>
                            </div>
                        </div>

                        <div class="left-data-info">
                            <div class="input-data-mode">
                                <div class="label-info"><span>Prompt for Excerpt:</span></div>
                                <div class="input-info-mode">
                                    <textarea type="text" id="custom-prompt-expert">Generate an excerpt for [title]. Max 55 words.</textarea>
                                    <p>Ensure [count] and [topic] is include in your prompt</p>
                                </div>
                            </div>
                        </div>

                        <div class="left-data-info">
                            <div class="input-data-mode">
                                <div class="label-info"><span>Prompt for Meta:</span></div>
                                <div class="input-info-mode">
                                    <textarea type="text" id="custom-prompt-meta">Write a meta description about [title]. Max 155 characters.</textarea>
                                    <p>Ensure [count] and [topic] is include in your prompt</p>
                                </div>
                            </div>
                        </div>

                        <div class="save-cta-info">
                            <a href='javascript:void(0)' id="saveTemplate">Save Template</a>
                        </div>


                    </div>

                </div>


            </div>

            <!-- Playground -->
            <div class="main-content-info tabs" data-tab="tabs-3">
                <h3>Playground</h3>
                <div class="content-area-info">
                    <div class="left-data-info">
                        <div class="full-wid input-data">
                            <div class="input-info">
                                <span>Category:</span>
                                <select>
                                    <option value="Default">Select a category</option>
                                    <option value="Wordpress">Wordpress</option>
                                    <option value="Blogging">Blogging</option>
                                    <option value="Writing">Writing</option>
                                    <option value="E-commerce">E-commerce</option>
                                    <option value="seo">SEO</option>
                                    <option value="WooCommerce">WooCommerce</option>

                                </select>

                            </div>
                        </div>
                        <!-- <h4>Custom Prompt:</h4> -->
                        <div class="input-data full-wid">
                            <div class="input-info">
                                <span>Custom Prompt:</span>
                                <input type="hidden" id="aih_content_nonce" value="<?php echo wp_create_nonce('aih_content_nonce'); ?>">
                                <textarea id="generate-text-playground" name="" rows="5" cols="50">Write a blog post on how to effectively monetize a blog, discussing various methods such as affiliate marketing, sponsored content, and display advertising, as well as tips for maximizing revenue.</textarea>
                                <div class="sub-cta-info">
                                    <button class="btn" id="generate-playground"> Generate </button>
                                </div>

                            </div>
                        </div>

                    </div>
                    <div class="right-data-info">
                        <div class="editor-data-wrap">
                            <div class="content-info">
                                <textarea id="playground-output" rows="10"></textarea>

                            </div>

                        </div>


                    </div>
                </div>


            </div>

   
            <!-- Logs -->
            <div class="main-content-info tabs" data-tab="tabs-4">
                <h3>Logs</h3>

                <div class="content-area-info single-content-area-info">
                    <div class="left-data-info search-data-wrap">

                        <div class="input-data full-wid">
                            <div class="input-info">
                                <span>Search</span>
                                <input type="text" id="searchInput" name="0" value="">

                            </div>
                        </div>

                        <div class="save-cta-info search-cta-info">
                            <a href='javascript:void(0)' id="searchButton">Search</a>
                        </div>

                    </div>
                    <div class="right-data-info empty-data-info">
                    </div>
                </div>
                <div class="full-wid-content-area-info log-datatable-wrap">
                    <div class="full-wid-data-info">
                        <div class="log-datatable-info">
                            <table cellpadding="0px" cellspacing="0px" class="log-audio-table" id="log-language-table">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Topic</th>
                                        <th>Date</th>
                                        <th>Token</th>
                                        <th>Model</th>
                                        <th>Author</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="myModal" class="modal">

    <!-- Modal content -->
    <div class="modal-content">
        <span class="close">&times;</span>
        <p id="modal-custom-content">
        <ul id="modal-custom-list">
        </ul>
        </p>
    </div>

</div>

<button id="myBtn" style="display:none">Open Modal</button>
<input id="generate-content-image" style="display: none;"></input>
<span id="featured-generate-image"></span>


<script type="text/javascript">
    /* JS comes here */
    var recognition; // Declare recognition object globally

    function runSpeechRecognition() {
        // get output div reference
        var output = document.getElementById("output");
        // get action element reference
        var action = document.getElementById("action");
        // new speech recognition object
        var SpeechRecognition = SpeechRecognition || webkitSpeechRecognition;
        recognition = new SpeechRecognition();

        // This runs when the speech recognition service starts
        recognition.onstart = function() {
            action.innerHTML = "<small>listening, please speak...</small>";
            document.getElementById("startButton").style.display = "none";
            document.getElementById("stopButton").style.display = "inline-block";
            document.getElementById("cancelButton").style.display = "inline-block";
        };

        recognition.onspeechend = function() {
            action.innerHTML = "<small>stopped listening, hope you are done...</small>";
            recognition.stop();
        };

        // This runs when the speech recognition service returns result
        recognition.onresult = function(event) {
            var transcript = event.results[0][0].transcript;
            var confidence = event.results[0][0].confidence;
            output.innerHTML = "<b>Text:</b> " + transcript + "<br/> <b>Confidence:</b> " + confidence * 100 + "%";
            output.classList.remove("hide");
            //  jQuery("#text-input-generator-play").val(transcript);

            generateContent(transcript);
        };

        recognition.start();
    }

    function stopSpeechRecognition() {
        if (recognition) {
            recognition.stop();
            document.getElementById("startButton").style.display = "inline-block";
            document.getElementById("stopButton").style.display = "none";
            document.getElementById("cancelButton").style.display = "none";
        }
    }

    function cancelSpeechRecognition() {
        if (recognition) {
            recognition.abort();
            var output = document.getElementById("output");
            var action = document.getElementById("action");
            output.innerHTML = ""; // Clear the output
            output.classList.add("hide");
            action.innerHTML = ""; // Clear the action message
            document.getElementById("startButton").style.display = "inline-block";
            document.getElementById("stopButton").style.display = "none";
            document.getElementById("cancelButton").style.display = "none";
        }
    }
</script>

<script type="text/javascript">
    jQuery('.menu-link-info').on('click', function(e) {
        e.preventDefault();
        jQuery('.menu-link-info').removeClass('active');
        jQuery(this).addClass('active');
        jQuery('.tabs').removeClass('active');
        var tabID = jQuery(this).attr('data-target');
        jQuery('.tabs[data-tab="' + tabID + '"]').addClass('active');
    });
</script>

<!-- accordion-menus -->
<script>
    var acc = document.getElementsByClassName("accordionmenu");
    var panel = document.getElementsByClassName('am-panel');

    for (var i = 0; i < acc.length; i++) {
        acc[i].onclick = function() {
            var setClasses = !this.classList.contains('activeam');
            setClass(acc, 'activeam', 'remove');
            setClass(panel, 'showam', 'remove');

            if (setClasses) {
                this.classList.toggle("activeam");
                this.nextElementSibling.classList.toggle("showam");
            }
        }
    }

    function setClass(els, className, fnName) {
        for (var i = 0; i < els.length; i++) {
            els[i].classList[fnName](className);
        }
    }


    function openContent(evt, cName) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("cwem-tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("cwem-tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" cwem-active", "");
        }
        document.getElementById(cName).style.display = "block";
        evt.currentTarget.className += " cwem-active";
    }

    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
    var settingData = <?php echo isset($settingJson) ? $settingJson : '{}' ?>;
    var model = settingData.model; // Assuming 'model' is a key in your setting data
    var temperature = settingData.temperature;
    var maxtoken = settingData.max_token;


    jQuery(document).ready(function() {
        jQuery("#generate-playground").click(function() {
            var playgroundText = jQuery("#generate-text-playground").val();
            if (playgroundText == '') {
                alert("Playground text can not empty.");
                return false;
            }
            jQuery(".loaderoverlay").fadeIn(300);
            var nonce = document.getElementById('aih_content_nonce').value;
            jQuery.ajax({
                url: "<?php echo esc_url($apiUrl); ?>content-text-playground",
                type: 'POST',
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                    xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
                },
                dataType: 'json',
                data: {
                    'prompt': playgroundText,
                    'model': model,
                    'temperature': temperature,
                    'maxtoken': maxtoken
                }
            }).done(function(response) {
                if (response.result == 'Success') {
                    // console.log(response);
                    // console.log(response.data.choices[0].text);
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);

                    doWithInterval('input', response.data.choices[0].text);

                    var data = {
                        'action': 'aih_content_data',
                        'model': response.data.model,
                        'title': playgroundText,
                        'date': response.data.created,
                        'token': response.data.usage.total_tokens,
                        'type': 'playground',
                        'nonce': nonce 
                    };
                    jQuery.post(ajaxurl, data, function(response) {
                        var responseJsonData = jQuery.parseJSON(response);
                        // console.log(responseJsonData.result);
                        if (responseJsonData.result == 'Success') {
                            // console.log("log saved Succesfully");
                        } else if (responseJsonData.result == 'Failure') {
                            //alert("Something Went Wrong!!"); 
                            // console.log("Something Went Wrong!!");
                        }
                    });
                } else if (response.result == 'Failure') {
                    // console.log("Something Went Wrong!!");
                }

            }).fail(function(jqXHR, textStatus, errorThrown) {
                if (jqXHR.status === 400) {
                    var errorMessage = jqXHR.responseJSON.message;
                    alert(errorMessage);
                } else {
                    // For other errors, you can display the generic error message
                    alert(errorThrown);
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            });

        });
    });

    function doWithInterval(id, sentence) {
        var f;
        f = function(i) {
            document.getElementById('playground-output').innerHTML += sentence[i];
            if (i + 1 == sentence.length) {
                return;
            }
            window.setTimeout(function() {
                f(i + 1);
            }, 20);
        }
        f(0);
    }


    function generateContent(speakText = '') {
        var custom_prompt = jQuery("#custom_prompt_textarea").val();
        if (custom_prompt == '') {
            var tags = '';
            var metacheck = false;
            if (speakText == '') {
                var preview_title = jQuery("#preview_title").val();
                if (preview_title == '') {
                    alert("Title is empty");
                    return false;
                }
            } else if (preview_title != '') {
                preview_title = speakText;
            }
            if (jQuery("#metaDescription").is(":checked")) {
                metacheck = true;
                tags = jQuery("#tags").val();
                if (tags == '') {
                    alert("Please enter tags with tags with short description");
                    return false;
                }
            } else {
                metacheck = false;
            }
            var language = jQuery("#language").val();
            var style = jQuery("#style").val();
            var tone = jQuery("#tone").val();
            var heading_tag = jQuery("#heading-tag").val();
            var heading = jQuery("#heading").val();

            prompts = '';
            var add_keywords = jQuery("#add_keywords").val();
            if (add_keywords != '') {
                prompts += "Incorporate the following keywords: " + add_keywords + ".";
            }
            var keywords_to_avoid = jQuery("#keywords_to_avoid").val();
            if (keywords_to_avoid != '') {
                prompts += "Skillfully avoid any mention of " + keywords_to_avoid + ".";
            }
            if (jQuery("#make_keywords_bold").is(":checked")) {
                prompts += "To ensure a coherent flow throughout the article, use bold formatting for the specified keywords in the content to enhance readability and accessibility.";
            }
            if (jQuery("#add_tagline").is(":checked")) {
                prompts += "Provide an engaging tagline that introduces the core theme of the article.";
            }
            var add_call_to_position = jQuery("#add-call-to-position").val();
            if (add_call_to_position != '') {
                prompts += "Include a call-to-action (CTA) with the URL " + add_call_to_position + ".";
            }
            var anchor_text = jQuery("#anchor-text").val();
            if (anchor_text != '') {
                prompts += "Create an anchor text " + anchor_text + " within the content.";
            }
            var target_url = jQuery("#target-url").val();
            if (target_url != '') {
                prompts += "Include a link to " + target_url + " within the content.";
            }
            if (jQuery("#available_in_pro").is(":checked")) {
                prompts += "Incorporate a question-and-answer (Q&A) section to address common queries about " + preview_title + ".";
            }
            if (jQuery("#add_table_of_content").is(":checked")) {
                var toc_title = jQuery("#toc_title").val();
                var title_tag = jQuery("#toC_title_tag").val();
                prompts += "Include a well-organized table of contents (TOC) titled " + toc_title + " in the form of table starting with the heading tag " + title_tag + " to provide a clear overview of the article's structure."

                ;
            }
            if (jQuery("#add_conclusion").is(":checked")) {
                var conclusion_title_tag = jQuery("#conclusion_title_tag").val();
                prompts += "Please conclude the article with a " + conclusion_title_tag + " heading. The conclusion should reinforce the main points discussed, leaving readers with a strong takeaway.";
            }
            if (jQuery("#add_introduction").is(":checked")) {
                var intro_title_tag = jQuery("#intro_title_tag").val();
                prompts += "Please include a compelling introduction with a <intro_title_tag> heading to engage readers and introduce the article's key themes and objectives.";
            }
            prompt = "Create a well-researched article on the topic of " + preview_title + " in " + language + " language. The article should be approximately 2000 words long and structured into several paragraphs. Each paragraph should start with a suitable heading " + heading_tag + " tag, with a total of " + heading + " headings. The content should be written in a " + style + " style, with a " + tone + " tone that resonates with the target audience. " + prompts + ".";
            jQuery("#content-text").val('');
            jQuery("#meta-description").val('');
        } else if (custom_prompt != '') {
            prompt = custom_prompt;
        }
        var settingData = <?php echo isset($settingJson) ? $settingJson : '{}' ?>;
        var model = settingData.model;
        var temperature = settingData.temperature;
        var maxtoken = settingData.max_token;
        var top_p = settingData.top_p;
        var best_of = settingData.best_of;
        var frequency_penalty = settingData.frequency_penalty;
        var presence_penalty = settingData.presence_penalty;
        jQuery(".loaderoverlay").fadeIn(300);
        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-text",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'prompt': prompt,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'type': 'web',
                "language": language,
                "style": style,
                "tone": tone
            }
        }).done(function(response) {
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
            if (response.result == 'Success') {

                jQuery("#draft").css("display", "block");

                if (speakText == '') {

                    jQuery("#content-text").val(response.data.choices[0].text);
                    var editorID = 'content-text';
                    var editor = tinyMCE.get(editorID);
                    if (editor) {
                        editor.setContent(response.data.choices[0].text);
                    }
                    if (jQuery("#metaDescription").is(":checked")) {
                        seoContent(preview_title, 'gpt-3.5-turbo-instruct', 0, 3500, 'web', tags);

                    }
                    var image = jQuery("#image").val();
                    if (image != '') {
                        imageGenerator(preview_title);
                    }
                    var featureImageGenerator = jQuery("#featured-image").val();
                    if (featureImageGenerator != '') {
                        featureGenerator(preview_title)
                    }
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                } else {
                    jQuery("#textarea-input-speak-text").val(response.data.choices[0].text);
                    jQuery(".loaderoverlay").fadeOut(300);
                    var generatedText = response.data.choices[0].text;
                    appendToEditor(generatedText);
                }
                var data = {
                    'action': 'aih_content_data',
                    'model': response.data.model,
                    'title': preview_title,
                    'date': response.data.created,
                    'token': response.data.usage.total_tokens,
                    'type': 'content'
                };
                jQuery.post(ajaxurl, data, function(response) {
                    var responseJsonData = jQuery.parseJSON(response);
                    // console.log(responseJsonData);
                    if (responseJsonData.result == 'Success') {
                        // alert("Log saved successfully.");
                        jQuery(".loaderoverlay").fadeOut(300);
                    } else if (responseJsonData.result == 'Failure') {
                        alert("language not supported");
                        jQuery(".loaderoverlay").fadeOut(300);
                    }
                });
            } else if (response.result == 'Failure') {
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });
    }


    function appendToEditor(generatedText) {
        var editorID = 'textarea-input-speak-text';
        var editor = tinyMCE.get(editorID);
        if (editor) {
            editor.setContent(generatedText);
        }
    }
    jQuery(document).ready(function($) {
    // Initialize DataTable
    var table = jQuery('#log-language-table').DataTable({
        "pageLength": 10, // Number of entries per page
        "paging": true,
        "searching": false, // Disable the built-in search
        "info": true,
        "processing": true,
        "serverSide": true,
        "ajax": function(data, callback, settings) {
            var searchQuery = $('#searchInput').val().trim();
            var page = data.start;
            var length = data.length;

            var ajaxData = {
                'action': 'aih_content_data_get',
                'type': 'content',
                'search_query': searchQuery,
                'start': page,
                'length': length
            };

            jQuery.post(ajaxurl, ajaxData, function(response) {
                var responseJsonData = jQuery.parseJSON(response);
                if (responseJsonData.result == 'Success') {
                    var dataObj = responseJsonData.data;
                    var totalRecords = responseJsonData.recordsTotal;
                    var filteredRecords = responseJsonData.recordsFiltered;

                    var returnData = {
                        draw: data.draw,
                        recordsTotal: totalRecords,
                        recordsFiltered: filteredRecords,
                        data: []
                    };

                    jQuery.each(dataObj, function(key2, valueObj) {
                        var row = [];
                        jQuery.each(valueObj, function(key, value) {
                            row.push(value);
                        });
                        returnData.data.push(row);
                    });

                    callback(returnData);
                } else {
                    callback({
                        draw: data.draw,
                        recordsTotal: 0,
                        recordsFiltered: 0,
                        data: []
                    });
                }
            });
        }
    });

    // Trigger search on button click
    jQuery("#searchButton").click(function() {
        table.ajax.reload();
    });

    // Trigger search when pressing Enter in the search input field
    jQuery("#searchInput").on('keypress', function(e) {
        if (e.keyCode === 13) { // 13 corresponds to the Enter key
            table.ajax.reload();
        }
    });

    // Initial data load
    table.ajax.reload();
});



    function seoContent(prompt, model, temperature, maxtoken, tags) {
        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>generate-meta-description",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'prompt': prompt,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'tags': tags
            }
        }).done(function(response) {
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
            if (response.result == 'Success') {

                var editorID = 'meta-description';
                var editor = tinyMCE.get(editorID);
                if (editor) {
                    editor.setContent(response.data.choices[0].text);
                }
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
            } else if (response.result == 'Failure') {
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });
    }
    jQuery("#custom_prompt").click(function() {
        var prompt = '';
        if (jQuery("#custom_prompt").is(":checked")) {
            jQuery("#custom_prompt_span").css("display", "block");
            var preview_title = jQuery("#preview_title").val();
            if (preview_title == '') {
                alert("custom prompt required title.");
                return false;
            }
            var language = jQuery("#language").val();
            var heading_tag = jQuery("#heading-tag").val();
            var style = jQuery("#style").val();
            if (preview_title != '') {
                var prompt =
                    "Create a compelling and well-researched article of at least 500 words on the topic of " + preview_title + " in " + language + ".  Structure the article with clear headings enclosed within the appropriate heading tags " + heading_tag + " and engaging subheadings. Ensure that the content is " + style + " and provides valuable insights to the reader. Incorporate relevant examples, case studies, and statistics to support your points. Organize your ideas using unordered lists with <ul> and <li> tags where appropriate. Conclude with a strong summary that ties together the key takeaways of the article. Remember to enclose headings in the specified heading tags to make parsing the content easier. Additionally, wrap even paragraphs in <p> tags for improved readability."
            }
            jQuery("#custom_prompt_textarea").val(prompt);
        } else {
            jQuery("#custom_prompt_span").css("display", "none");
            jQuery("#custom_prompt_textarea").val('');
        }
    })
</script>

<script>
    jQuery('#image_settings').click(function() {
        jQuery('#image-setting-data').slideToggle("slow");
    });
    // Function to generate the feature image
    function featureGenerator(preview_title) {
        return new Promise(function(resolve, reject) {
            var title = "Generate image in jpeg format. Title is. " + preview_title;
            var artist = jQuery("#artist").val();
            var photography = jQuery("#photography").val();
            var lighting = jQuery("#lighting").val();
            var image_subject = jQuery("#image-subject").val();
            var image_camera = jQuery("#image-camera").val();
            var composition = jQuery("#image-composition").val();
            var resolution = jQuery("#image-resolution").val();
            var color = jQuery("#image-color").val();
            var special_effect = jQuery("#special-effects-image").val();
            var size = jQuery("#image-size").val();

            jQuery.ajax({
                url: "<?php echo esc_url($apiUrl); ?>generate-image",
                type: 'POST',
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                    xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
                },
                dataType: 'json',
                data: {
                    'type': 'feature-image',
                    'n': 1,
                    'image_title': title,
                    'artist': artist,
                    'photography': photography,
                    'lighting': lighting,
                    'image_subject': image_subject,
                    'image_camera': image_camera,
                    'composition': composition,
                    'resolution': resolution,
                    'color': color,
                    'special_effect': special_effect,
                    'size': size,
                    'prompt': preview_title
                }
            }).done(function(response) {
                if (response.result == 'Success') {
                    var imageUrl = response.data.data[0].url;
                    var imageElement = '<img src="' + imageUrl + '" alt="Generated Feature Image">';
                    jQuery("#generate-feature-image-span").html(imageElement); // Display feature image in span
                    jQuery("#stored_feature_image_url").val(imageUrl); // Store the URL in hidden field
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                    resolve(imageUrl); // Resolve the promise with the image URL
                } else if (response.result == 'Failure') {
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                    alert("Something Went Wrong!!");
                    reject("Failed to generate image");
                }
            }).fail(function(jqXHR, textStatus, errorThrown) {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert('FAILED! ERROR: ' + errorThrown);
                reject(errorThrown);
            });
        });
    }

    // Function to generate the content image
    function imageGenerator(preview_title) {
        return new Promise(function(resolve, reject) {
            var title = "Generate image in jpeg format. Title is. " + preview_title;
            var image_title = jQuery("#image-style").val();
            var artist = jQuery("#artist").val();
            var photography = jQuery("#photography").val();
            var lighting = jQuery("#lighting").val();
            var image_subject = jQuery("#image-subject").val();
            var image_camera = jQuery("#image-camera").val();
            var composition = jQuery("#image-composition").val();
            var resolution = jQuery("#image-resolution").val();
            var color = jQuery("#image-color").val();
            var special_effect = jQuery("#special-effects-image").val();
            var size = jQuery("#image-size").val();

            jQuery.ajax({
                url: "<?php echo esc_url($apiUrl); ?>generate-image",
                type: 'POST',
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                    xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
                },
                dataType: 'json',
                data: {
                    'type': 'content-image',
                    'n': 1,
                    'image_title': title,
                    'artist': artist,
                    'photography': photography,
                    'lighting': lighting,
                    'image_subject': image_subject,
                    'image_camera': image_camera,
                    'composition': composition,
                    'resolution': resolution,
                    'color': color,
                    'special_effect': special_effect,
                    'size': size,
                    'prompt': preview_title
                }
            }).done(function(response) {
                if (response.result == 'Success') {
                    var imageUrl = response.data.data[0].url;
                    var imageElement = '<img src="' + imageUrl + '" alt="Generated Content Image">';
                    jQuery("#generate-content-image-span").html(imageElement); // Display content image in span
                    jQuery("#stored_content_image_url").val(imageUrl); // Store the URL in hidden field
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                    resolve(imageUrl); // Resolve the promise with the image URL
                } else if (response.result == 'Failure') {
                    setTimeout(function() {
                        jQuery(".loaderoverlay").fadeOut(300);
                    }, 500);
                    alert("Something Went Wrong!!");
                    reject("Failed to generate image");
                }
            }).fail(function(jqXHR, textStatus, errorThrown) {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert('FAILED! ERROR: ' + errorThrown);
                reject(errorThrown);
            });
        });
    }
</script>
<script>
    // Function to handle the draft button click
    jQuery("#draft").click(function() {
        jQuery(".loaderoverlay").fadeIn(300);
        var preview_title = jQuery("#preview_title").val();
        var content_text = jQuery("#content-text").val();

        // Get the stored URLs from hidden fields
        var featuredImageUrl = jQuery("#stored_feature_image_url").val();
        var contentImageUrl = jQuery("#stored_content_image_url").val();

        var data = {
            'action': 'store_content_data',
            'title': preview_title,
            'content_text': content_text,
            'generate_image': contentImageUrl, // Use the stored content image URL
            'featured_generate_image': featuredImageUrl // Use the stored feature image URL
        };

        jQuery.post(ajaxurl, data, function(response) {
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
            alert(response.message);
            jQuery("#draft").css("display", "block");

            var responseJsonData = jQuery.parseJSON(response);
            if (responseJsonData.result == 'Success') {
                jQuery(".loaderoverlay").fadeOut(300);
            } else if (responseJsonData.result == 'Failure') {
                alert("Something Went Wrong.");
                jQuery(".loaderoverlay").fadeOut(300);
            }
        }).catch(function(error) {
            jQuery(".loaderoverlay").fadeOut(300);
            alert('Error in saving draft: ' + error);
        });
    });
</script>


<!-- Custom mode -->

<!-- Prompt Title Append  -->
<script>
    // Function to update the textarea
    function updatePromptTitle1() {
        var count = document.getElementById("title_count").value;
        var topic = document.getElementById("topics-title").value;
        var promptTitle = document.getElementById("custom-mode-prompt");

        promptTitle.value = "Suggest " + count + " title for an article about " + topic;
    }

    // Event listeners for changes in the select box and input box
    document.getElementById("title_count").addEventListener("change", updatePromptTitle1);
    document.getElementById("topics-title").addEventListener("input", updatePromptTitle1);
</script>


<!-- Prompt Section Append  -->
<script>
    // Function to update the textarea
    function updatePromptTitle2() {
        var sectionCount = document.getElementById("section_count").value;
        var ownTitle = document.getElementById('own-title-input').value;
        var topicsRadio = document.getElementById('topics-radio');
        var titleGenerated = document.getElementById('title-generate-select');
        var generatedData = titleGenerated.textContent;
        var removedNumber = generatedData.replace('Title:', '');
        var promptTitle = document.getElementById("custom-prompt-section");
        var sectionButton = document.getElementById('submit-section');

        if (topicsRadio.checked) {
            promptTitle.value = "Write " + sectionCount + " consecutive headings for an article about " + removedNumber;
            // sectionButton.disabled = false;
        } else if (ownTitle) {
            promptTitle.value = "Write " + sectionCount + " consecutive headings for an article about " + ownTitle;
            // sectionButton.disabled = false;
        } else {
            promptTitle.value = "Write " + sectionCount + " consecutive headings for an article about " + removedNumber;
            // sectionButton.disabled = true;
        }
    }

    // Event listeners for changes in the select box and input box
    document.getElementById("section_count").addEventListener("change", updatePromptTitle2);
    document.getElementById("custom-mode-section").addEventListener("input", updatePromptTitle2);
</script>

<!-- Content Section Append  -->
<script>
    // Function to update the textarea
    function updatePromptTitle3() {
        var count = document.getElementById("paragraph_count").value;
        var topic = document.getElementById("custom-mode-section").value;

        var sectionTopic = document.getElementById('title-generate-select');
        var generatedData = sectionTopic.textContent;
        var removedNumberTitle = generatedData.replace('Title:', '');

        var promptTitle = document.getElementById("custom-prompt-content");

        promptTitle.value = "Write a comprehensive article about " + removedNumberTitle + ", covering the following subtopics " + topic + ". Each subtopic should have at least " + count + " paragraphs. Use a cohesive structure to ensure smooth transitions between ideas. Include relevant statistics, examples, and quotes to support your arguments and engage the reader.";

    }

    // Event listeners for changes in the select box and input box
    document.getElementById("paragraph_count").addEventListener("change", updatePromptTitle3);
    document.getElementById("custom_content").addEventListener("input", updatePromptTitle3);
</script>

<!-- Generate All Section -->
<script>
    jQuery("#submit-button").click(function() {

        var template = jQuery("#custom-mode-template").val();
        var template_name = jQuery("#custom-mode-template-name").val();
        var post_type = jQuery("#custom-mode-post-type").val();
        var model = jQuery("#custom-mode-model").val();
        var temperature = jQuery("#custom-mode-temperature").val();
        var maxtoken = jQuery("#custom-mode-max-token").val();
        var top_p = jQuery("#custom-mode-top-p").val();
        var best_of = jQuery("#custom-mode-best-of").val();
        var frequency_penalty = jQuery("#custom-mode-frequency-penalty").val();
        var presence_penalty = jQuery("#custom-mode-presence-penalty").val();
        var custom_prompt = jQuery("#custom-mode-prompt").val();
        var title = jQuery("#topics-title").val();

        var title_count = jQuery("#title_count").val();


        if (template == "") {
            alert("Please enter template.");
            return false;
        }

        if (template_name == "") {
            alert("Please enter template name.");
            return false;
        }

        if (post_type == "") {
            alert("Please enter post type.");
            return false;
        }

        if (model == "") {
            alert("Please select model.");
            return false;
        }

        if (temperature == "") {
            alert("Please enter temperature.");
            return false;
        }

        if (maxtoken == '') {
            alert("Please enter maxtoken.");
            return false;
        }
        if (top_p == '') {
            alert("Please enter top p.");
            return false;
        }

        if (best_of == '') {
            alert("Please enter best of.");
            return false;
        }

        if (frequency_penalty == '') {
            alert("Please enter frequency penalty.");
            return false;
        }

        if (presence_penalty == '') {
            alert("Please enter presence penalty.");
            return false;
        }
        if (prompt == '') {
            alert("Please enter prompt.");
            return false;
        }

        if (title == '') {
            alert("Please enter title.");
            return false;
        }

        if (title_count == '') {
            alert("Please enter total number of title.");
            return false;
        }

        if (custom_prompt == '') {
            alert("Please enter custom prompt.");
            return false;
        }


        var prompt = custom_prompt;


        jQuery(".loaderoverlay").fadeIn(300);


        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-custom-mode",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'template': template,
                // 'template_name': template_name,
                // 'post_type': post_type,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': prompt
            }
        }).done(function(response) {

            if (response.result == 'Success') {
                jQuery("#modal-custom-list").empty();
                var line_custom_mode = (response.data.choices[0].text).trim();
                var myArray = line_custom_mode.split("\n");
                // console.log(typeof myArray);

                for (var i = 0; i < myArray.length; i++) {
                    var line = myArray[i].trim();
                    if (line !== "") {
                        // var lineQuotesRemove = new String();
                        var lineQuotesRemove = line.replace(/\"/g, "");


                        var splitline = lineQuotesRemove.split(".");
                        jQuery('#modal-custom-list').append('<li>' + lineQuotesRemove + '<a href=javascript:void(0) attr="' + splitline[1] + '" class=linkAttr>Use</a></li>');
                    }
                }
                jQuery("#myBtn").trigger('click');
                jQuery("#submit-section").prop('disabled', false);
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);


            } else if (response.result == 'Failure') {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });


    });


    jQuery("#submit-section").click(function() {

        var template = jQuery("#custom-mode-template").val();
        var template_name = jQuery("#custom-mode-template-name").val();
        var post_type = jQuery("#custom-mode-post-type").val();
        var model = jQuery("#custom-mode-model").val();
        var temperature = jQuery("#custom-mode-temperature").val();
        var maxtoken = jQuery("#custom-mode-max-token").val();
        var top_p = jQuery("#custom-mode-top-p").val();
        var best_of = jQuery("#custom-mode-best-of").val();
        var frequency_penalty = jQuery("#custom-mode-frequency-penalty").val();
        var presence_penalty = jQuery("#custom-mode-presence-penalty").val();

        var prompt_section = jQuery("#custom-prompt-section").val();
        var section_count = jQuery("#section_count").val();

        // var title = document.getElementById("title-generate-select").textContent;

        if (jQuery('.suggest-radio-titles:checked').val() == 'topics-radio') {

            var title = document.getElementById("title-generate-select").textContent;

        }

        if (jQuery('.suggest-radio-titles:checked').val() == 'use-my-own-title') {
            var topics_title = jQuery("#topics-title").val();
            if (topics_title == '') {
                alert("Please enter topic title.");
                return false;
            }

            var title = topics_title;

        }

        var promptData = "Write " + section_count + " consecutive headings for an article about " + title


        if (template == "") {
            alert("Please enter template.");
            return false;
        }

        if (template_name == "") {
            alert("Please enter template name.");
            return false;
        }

        if (post_type == "") {
            alert("Please enter post type.");
            return false;
        }

        if (model == "") {
            alert("Please enter model.");
            return false;
        }

        if (temperature == "") {
            alert("Please enter temperature.");
            return false;
        }

        if (maxtoken == '') {
            alert("Please enter maxtoken.");
            return false;
        }
        if (top_p == '') {
            alert("Please enter top p.");
            return false;
        }

        if (best_of == '') {
            alert("Please enter best of.");
            return false;
        }

        if (frequency_penalty == '') {
            alert("Please enter frequency penalty.");
            return false;
        }

        if (presence_penalty == '') {
            alert("Please enter presence penalty.");
            return false;
        }

        var prompt = prompt_section;


        jQuery(".loaderoverlay").fadeIn(300);
        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-custom-mode",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'template': template,
                'template_name': template_name,
                'post_type': post_type,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': promptData
            }
        }).done(function(response) {

            if (response.result == 'Success') {
                jQuery("#modal-custom-list").empty();
                var choiceText = (response.data.choices[0].text).trim();
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(1000);
                }, 1000);
                jQuery("#custom-mode-section").val(choiceText);
                jQuery("#submit-Content").prop('disabled', false);
                updatePromptTitle3();
            } else if (response.result == 'Failure') {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(1000);
                }, 1000);
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });
    });


    jQuery("#submit-Content").click(function() {
        var sectionTopic = document.getElementById('title-generate-select');
        var generatedData = sectionTopic.textContent;
        var removedNumberTitle = generatedData.replace('Title', '');

        var ownTitle = document.getElementById('own-title-input').value;
        var topicsRadio = document.getElementById('topics-radio');


        var template = jQuery("#custom-mode-template").val();
        var template_name = jQuery("#custom-mode-template-name").val();
        var post_type = jQuery("#custom-mode-post-type").val();
        var model = jQuery("#custom-mode-model").val();
        var temperature = jQuery("#custom-mode-temperature").val();
        var maxtoken = jQuery("#custom-mode-max-token").val();
        var top_p = jQuery("#custom-mode-top-p").val();
        var best_of = jQuery("#custom-mode-best-of").val();
        var frequency_penalty = jQuery("#custom-mode-frequency-penalty").val();
        var presence_penalty = jQuery("#custom-mode-presence-penalty").val();
        var prompt_content = jQuery("#custom-prompt-content").val();


        if (model == "") {
            alert("Please enter model.");
            return false;
        }

        if (temperature == "") {
            alert("Please enter temperature.");
            return false;
        }

        if (maxtoken == '') {
            alert("Please enter maxtoken.");
            return false;
        }

        if (top_p == '') {
            alert("Please enter top p.");
            return false;
        }


        if (best_of == '') {
            alert("Please enter best of.");
            return false;
        }

        if (frequency_penalty == '') {
            alert("Please enter frequency penalty");
            return false;
        }
        if (presence_penalty == '') {
            alert("Please enter presence penalty");
            return false;
        }

        var prompt = prompt_content;

        jQuery(".loaderoverlay").fadeIn(300);

        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-custom-mode",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'template': template,
                'template_name': template_name,
                'post_type': post_type,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': prompt
            }
        }).done(function(response) {

            if (response.result == 'Success') {
                jQuery("#modal-custom-list").empty();
                jQuery("#saveButton").css("display", "block");
                var choiceText = (response.data.choices[0].text).trim();
                jQuery("#custom_content").val(choiceText);
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                jQuery("#submit-expert").prop('disabled', false);
            } else if (response.result == 'Failure') {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert("Something Went Wrong!!")
            }

            if (topicsRadio.checked) {
                // Expert Section Append 
                var promptExcerptTitle = document.getElementById("custom-prompt-expert");
                promptExcerptTitle.value = "";
                promptExcerptTitle.value += "Generate an excerpt for " + removedNumberTitle + ". Max 55 words.";

                // Meta Section Append 
                var PromptMetaTitle = document.getElementById("custom-prompt-meta");
                PromptMetaTitle.value = "";
                PromptMetaTitle.value += "Write a meta description about " + removedNumberTitle + ". Max: 155 characters.";

            } else if (ownTitle) {

                // Expert Section Append 
                var promptExcerptTitle = document.getElementById("custom-prompt-expert");
                promptExcerptTitle.value = "";
                promptExcerptTitle.value += "Generate an excerpt for " + ownTitle + ". Max 10 words.";

                // Meta Section Append 
                var PromptMetaTitle = document.getElementById("custom-prompt-meta");
                PromptMetaTitle.value = "";
                PromptMetaTitle.value += "Write a meta description about " + ownTitle + ". Max: 1 characters.";

            } else {

                // Expert Section Append 
                var promptExcerptTitle = document.getElementById("custom-prompt-expert");
                promptExcerptTitle.value = "";
                promptExcerptTitle.value += "Generate an excerpt for " + removedNumberTitle + ". Max 20 words.";

                // Meta Section Append 
                var PromptMetaTitle = document.getElementById("custom-prompt-meta");
                PromptMetaTitle.value = "";
                PromptMetaTitle.value += "Write a meta description about " + removedNumberTitle + ". Max: 2 characters.";
            }

            var expertButton = document.getElementById('submit-expert');
            expertButton.disabled = false;

            var metaButton = document.getElementById('submit-meta');
            metaButton.disabled = false;


        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });

    });

    jQuery("#submit-expert").click(function() {
        var template = jQuery("#custom-mode-template").val();
        var template_name = jQuery("#custom-mode-template-name").val();
        var post_type = jQuery("#custom-mode-post-type").val();
        var model = jQuery("#custom-mode-model").val();
        var temperature = jQuery("#custom-mode-temperature").val();
        var maxtoken = jQuery("#custom-mode-max-token").val();
        var top_p = jQuery("#custom-mode-top-p").val();
        var best_of = jQuery("#custom-mode-best-of").val();
        var frequency_penalty = jQuery("#custom-mode-frequency-penalty").val();
        var presence_penalty = jQuery("#custom-mode-presence-penalty").val();
        var title_text = jQuery("#title-generate-select").text();


        var custon_prompt_expert = jQuery("#custom-prompt-expert").val();


        if (model == "") {
            alert("Please enter model.");
            return false;
        }

        if (temperature == "") {
            alert("Please enter temperature.");
            return false;
        }

        if (maxtoken == '') {
            alert("Please enter maxtoken.");
            return false;
        }

        if (top_p == '') {
            alert("Please enter top p.");
            return false;
        }


        if (best_of == '') {
            alert("Please enter best of.");
            return false;
        }

        if (frequency_penalty == '') {
            alert("Please enter frequency penalty");
            return false;
        }
        if (presence_penalty == '') {
            alert("Please enter presence penalty");
            return false;
        }

        var prompt = custon_prompt_expert;

        jQuery(".loaderoverlay").fadeIn(300);
        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-custom-mode",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'template': template,
                'template_name': template_name,
                'post_type': post_type,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': prompt
            }
        }).done(function(response) {

            if (response.result == 'Success') {
                jQuery("#modal-custom-list").empty();
                var choiceText = (response.data.choices[0].text).trim();
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                jQuery("#custom_expert").val(choiceText);
                jQuery("#submit-meta").prop('disabled', false);
            } else if (response.result == 'Failure') {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });
    })

    jQuery("#submit-meta").click(function() {
        var template = jQuery("#custom-mode-template").val();
        var template_name = jQuery("#custom-mode-template-name").val();
        var post_type = jQuery("#custom-mode-post-type").val();
        var model = jQuery("#custom-mode-model").val();
        var temperature = jQuery("#custom-mode-temperature").val();
        var maxtoken = jQuery("#custom-mode-max-token").val();
        var top_p = jQuery("#custom-mode-top-p").val();
        var best_of = jQuery("#custom-mode-best-of").val();
        var frequency_penalty = jQuery("#custom-mode-frequency-penalty").val();
        var presence_penalty = jQuery("#custom-mode-presence-penalty").val();
        var title_text = jQuery("#title-generate-select").text();
        var custon_prompt_meta = jQuery("#custom-prompt-meta").val();

        if (model == "") {
            alert("Please enter model.");
            return false;
        }

        if (temperature == "") {
            alert("Please enter temperature.");
            return false;
        }

        if (maxtoken == '') {
            alert("Please enter maxtoken.");
            return false;
        }

        if (top_p == '') {
            alert("Please enter top p.");
            return false;
        }


        if (best_of == '') {
            alert("Please enter best of.");
            return false;
        }

        if (frequency_penalty == '') {
            alert("Please enter frequency penalty");
            return false;
        }
        if (presence_penalty == '') {
            alert("Please enter presence penalty");
            return false;
        }

        var prompt = custon_prompt_meta;
        jQuery(".loaderoverlay").fadeIn(300);

        jQuery.ajax({
            url: "<?php echo esc_url($apiUrl); ?>content-custom-mode",
            type: 'POST',
            beforeSend: function(xhr) {
                xhr.setRequestHeader("secertkey", "<?php echo esc_attr($secertkey); ?>");
                xhr.setRequestHeader("openai", "<?php echo esc_attr($openAi); ?>");
            },
            dataType: 'json',
            data: {
                'template': template,
                'template_name': template_name,
                'post_type': post_type,
                'model': model,
                'temperature': temperature,
                'maxtoken': maxtoken,
                'top_p': top_p,
                'best_of': best_of,
                'frequency_penalty': frequency_penalty,
                'presence_penalty': presence_penalty,
                'prompt': prompt
            }
        }).done(function(response) {

            if (response.result == 'Success') {
                jQuery("#modal-custom-list").empty();
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                var choiceText = (response.data.choices[0].text).trim();
                jQuery("#custom_meta").val(choiceText);
                //jQuery("#submit-meta").prop('disabled', false);
            } else if (response.result == 'Failure') {
                setTimeout(function() {
                    jQuery(".loaderoverlay").fadeOut(300);
                }, 500);
                alert("Something Went Wrong!!")
            }

        }).fail(function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status === 400) {
                var errorMessage = jqXHR.responseJSON.message;
                alert(errorMessage);
            } else {
                // For other errors, you can display the generic error message
                alert(errorThrown);
            }
            setTimeout(function() {
                jQuery(".loaderoverlay").fadeOut(300);
            }, 500);
        });
    });
</script>


<!-- Save Custom Mode Template Data -->
<script>
    jQuery('#saveTemplate').on('click', function() {
        var templateName = jQuery('#custom-mode-template-name').val();
        var postType = jQuery('#custom-mode-post-type').val();
        var model = jQuery('#custom-mode-model').val();
        var temperature = jQuery('#custom-mode-temperature').val();
        var maxTokens = jQuery('#custom-mode-max-token').val();
        var topP = jQuery('#custom-mode-top-p').val();
        var bestOf = jQuery('#custom-mode-best-of').val();
        var frequency = jQuery('#custom-mode-frequency-penalty').val();
        var presence = jQuery('#custom-mode-presence-penalty').val();
        var promptTitle = jQuery('#custom-mode-prompt').val();
        var promptSection = jQuery('#custom-prompt-section').val();
        var promptContent = jQuery('#custom-prompt-content').val();
        var promptExcerpt = jQuery('#custom-prompt-expert').val();
        var promptMeta = jQuery('#custom-prompt-meta').val();
        jQuery(".loaderoverlay").fadeIn(300);
        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'aih_template_data',
                templateName: templateName,
                postType: postType,
                model: model,
                temperature: temperature,
                maxTokens: maxTokens,
                topP: topP,
                bestOf: bestOf,
                frequency: frequency,
                presence: presence,
                promptTitle: promptTitle,
                promptSection: promptSection,
                promptContent: promptContent,
                promptExcerpt: promptExcerpt,
                promptMeta: promptMeta,
            },
            success: function(response) {
                jQuery(".loaderoverlay").fadeOut(300);
                alert(response.data);
            },
            error: function(jqXHR, textStatus, errorThrown) {
                jQuery(".loaderoverlay").fadeOut(300);
                alert('Error: ' + errorThrown); // Show error message
            }
        });
    });
</script>

<script>
    jQuery(document).ready(function($) {
        jQuery('#custom-mode-template').on('change', function() {
            var selectedTemplate = jQuery(this).val();
            jQuery(".loaderoverlay").fadeIn(300);
            // Make an AJAX request to fetch data based on the selected template
            jQuery.ajax({
                url: ajaxurl,
                method: 'POST',
                data: {
                    action: 'aih_fetch_data_based_on_template',
                    template: selectedTemplate
                },
                dataType: 'json', // Expect JSON response
                success: function(response) {
                    jQuery('#custom-mode-template-name').val(response[0].templateName);
                    jQuery('#custom-mode-post-type').val(response[0].postType);
                    jQuery('#custom-mode-model').val(response[0].Model);
                    jQuery('#custom-mode-temperature').val(response[0].Temperature);
                    jQuery('#custom-mode-max-token').val(response[0].Tokens);
                    jQuery('#custom-mode-top-p').val(response[0].topP);
                    jQuery('#custom-mode-best-of').val(response[0].bestOf);
                    jQuery('#custom-mode-frequency-penalty').val(response[0].Frequency);
                    jQuery('#custom-mode-presence-penalty').val(response[0].Presence);
                    jQuery('#custom-mode-prompt').val(response[0].PromptTitle);
                    jQuery('#custom-prompt-section').val(response[0].PromptSection);
                    jQuery('#custom-prompt-content').val(response[0].PromptContent);
                    jQuery('#custom-prompt-expert').val(response[0].PromptExcerpt);
                    jQuery('#custom-prompt-meta').val(response[0].PromptMeta);
                }
            });
        });
    });
</script>


<!-- Save custom mode data -->
<script>
    jQuery("#saveButton").click(function() {
        var title = document.getElementById("title-generate-select").innerHTML;
        var content = jQuery("#custom_content").val();
        var excerpt = jQuery("#custom_expert").val();

        jQuery(".loaderoverlay").fadeIn(300);

        var dataToSend = {
            action: 'aih_content_mode_data',
            title: title,
            content_text: content,
            excerpt_text: excerpt
        };

        jQuery.post(ajaxurl, dataToSend, function(response) {
            // Handle the response from the server
            console.log(response.data);
            alert(response.data);
        }).always(function() {
            location.reload(); // Reload the page
            jQuery(".loaderoverlay").fadeOut(300);
        });
    });
</script>


<script>
    jQuery('.suggest-radio-titles').click(function() {
        if (jQuery('.suggest-radio-titles:checked').val() == 'topics-radio') {
            jQuery("#title-generate-select").show();
            jQuery("#title_count").show();
            jQuery(".title_heading").show();
            jQuery("#submit-button").show();
            jQuery("#submit-section").prop('disabled', true);
        }
        if (jQuery('.suggest-radio-titles:checked').val() == 'use-my-own-title') {
            jQuery("#title-generate-select").hide();
            jQuery("#title_count").hide();
            jQuery(".title_heading").hide();
            jQuery("#submit-button").hide();
            jQuery("#submit-section").prop('disabled', false);
        }
    });
</script>
<script>
    var modal = document.getElementById("myModal");

    // Get the button that opens the modal
    var btn = document.getElementById("myBtn");

    // Get the <span> element that closes the modal
    var span = document.getElementsByClassName("close")[0];

    // When the user clicks the button, open the modal 
    btn.onclick = function() {
        modal.style.display = "block";
        setTimeout(myUseSpan, 1000);

    }

    // When the user clicks on <span> (x), close the modal
    span.onclick = function() {
        modal.style.display = "none";
    }

    // When the user clicks anywhere outside of the modal, close it
    window.onclick = function(event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    }

    function myUseSpan() {
        jQuery('.linkAttr').click(function() {
            var title = "Title: " + jQuery(this).attr('attr').trim();
            // console.log(title);
            jQuery("#title-generate-select").empty();
            jQuery("#title-generate-select").text(title);
            modal.style.display = "none";

        })
    }
</script>