<?php  
session_start();

// Load WordPress filesystem API
if ( ! function_exists( 'WP_Filesystem' ) ) {
    include_once ABSPATH . 'wp-admin/includes/file.php';
}

// Check if WP_Filesystem loaded successfully
if ( ! function_exists( 'WP_Filesystem' ) ) {
    echo "Failed to load WordPress filesystem API.";
    exit;
} 

global $wp_filesystem; 
$arrayDataJson = [];

if (WP_Filesystem()) {
    $file_path = PLUGIN_DIR . 'json/language.json';
    if ($wp_filesystem->exists($file_path)) {
        $languageDataJson = $wp_filesystem->get_contents($file_path);
        $languageDataArray = json_decode($languageDataJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/cta-position.json';
    if ($wp_filesystem->exists($file_path)) {
        $ctaDataJson = $wp_filesystem->get_contents($file_path);
        $ctaDataArray = json_decode($ctaDataJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/style.json';
    if ($wp_filesystem->exists($file_path)) {
        $styleDataJson = $wp_filesystem->get_contents($file_path);
        $styleDataArray = json_decode($styleDataJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/prompt.json';
    if ($wp_filesystem->exists($file_path)) {
        $promptDataJson = $wp_filesystem->get_contents($file_path);
        $promptDataArray = json_decode($promptDataJson, true);
        $countPromptsValue = count($promptDataArray['prompts']);
    }

    $file_path = PLUGIN_DIR . 'json/image-size.json';
    if ($wp_filesystem->exists($file_path)) {
        $imageDataJson = $wp_filesystem->get_contents($file_path);
        $imageDataArray = json_decode($imageDataJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/free-plan.json';
    if ($wp_filesystem->exists($file_path)) {
        $freePlanDataJson = $wp_filesystem->get_contents($file_path);
        $freePlanArray = json_decode($freePlanDataJson, true);
        $freePlanArray = isset($freePlanArray['free']) ? $freePlanArray['free'] : [];
    }

    $file_path = PLUGIN_DIR . 'json/upgrade-plan.json';
    if ($wp_filesystem->exists($file_path)) {
        $upgradePlanJson = $wp_filesystem->get_contents($file_path);
        $upgradePlanArray = json_decode($upgradePlanJson, true);
        $upgradePlanArray = isset($upgradePlanArray['upgrade']) ? $upgradePlanArray['upgrade'] : [];
    }

    $file_path = PLUGIN_DIR . 'json/promptbase.json';
    if ($wp_filesystem->exists($file_path)) {
        $promptBaseJson = $wp_filesystem->get_contents($file_path);
        $promptBaseArray = json_decode($promptBaseJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/icons.json';
    if ($wp_filesystem->exists($file_path)) {
        $iconsDataJson = $wp_filesystem->get_contents($file_path);
        $iconsDataArray = json_decode($iconsDataJson, true);
    }

    $file_path = PLUGIN_DIR . 'json/tone.json';
    if ($wp_filesystem->exists($file_path)) {
        $toneDataJson = $wp_filesystem->get_contents($file_path);
        $toneDataArray = json_decode($toneDataJson, true);
    }
}

$svgIcon = '<span class="svg-icon"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" zoomAndPan="magnify" viewBox="0 0 30 30.000001" height="15" preserveAspectRatio="xMidYMid meet" version="1.0"><defs><clipPath id="id1"><path d="M 2.328125 4.222656 L 27.734375 4.222656 L 27.734375 24.542969 L 2.328125 24.542969 Z M 2.328125 4.222656 " clip-rule="nonzero"/></clipPath></defs><g clip-path="url(#id1)"><path fill="rgb(13.729858%, 12.159729%, 12.548828%)" d="M 27.5 7.53125 L 24.464844 4.542969 C 24.15625 4.238281 23.65625 4.238281 23.347656 4.542969 L 11.035156 16.667969 L 6.824219 12.523438 C 6.527344 12.230469 6 12.230469 5.703125 12.523438 L 2.640625 15.539062 C 2.332031 15.84375 2.332031 16.335938 2.640625 16.640625 L 10.445312 24.324219 C 10.59375 24.472656 10.796875 24.554688 11.007812 24.554688 C 11.214844 24.554688 11.417969 24.472656 11.566406 24.324219 L 27.5 8.632812 C 27.648438 8.488281 27.734375 8.289062 27.734375 8.082031 C 27.734375 7.875 27.648438 7.679688 27.5 7.53125 Z M 27.5 7.53125 " fill-opacity="1" fill-rule="nonzero"/></g></svg></span>';
$svgMic =  '<span class="svg-icon"><svg style="color: white" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-mic" viewBox="0 0 16 16"> <path d="M3.5 6.5A.5.5 0 0 1 4 7v1a4 4 0 0 0 8 0V7a.5.5 0 0 1 1 0v1a5 5 0 0 1-4.5 4.975V15h3a.5.5 0 0 1 0 1h-7a.5.5 0 0 1 0-1h3v-2.025A5 5 0 0 1 3 8V7a.5.5 0 0 1 .5-.5z" fill="white"></path> <path d="M10 8a2 2 0 1 1-4 0V3a2 2 0 1 1 4 0v5zM8 0a3 3 0 0 0-3 3v5a3 3 0 0 0 6 0V3a3 3 0 0 0-3-3z" fill="white"></path> </svg></span>';


$plugin_path_url = plugins_url('/', __FILE__);

// Path to your image within the plugin folder
$image_path = 'assets/images/30212411048_2a1d7200e2_z-1.jpg'; // Replace with your image file path

$image_url = $image_path;

global $sessionLogin;
global $api_user_id;
global $api_user_email;
global $userSub;
global $secertkey;
global $publisherkey;
 
$sessionLogin = false ;
$api_user_id = ''; 
$api_user_email = ''; 
$userSub = ''; 
$secertkey = '';
$publisherkey = '';
if (isset($_SESSION['userSub'])) {
    $sessionLogin = true ;
    $api_user_id = $_SESSION['userSub'];
    $api_user_email = $_SESSION['userEmail'];
    $userSub=$_SESSION['userSub'];    
    $secertkey=$_SESSION['secret_key'];    
    $publisherkey=$_SESSION['personal_key'];
}

// Function to generate nonce
function my_plugin_generate_nonce( $action ) {
    return wp_create_nonce( $action );
}

// Function to include nonce field in form
function my_plugin_nonce_field( $action, $name = 'my_nonce_field' ) {
    wp_nonce_field( $action, $name );
}

// Function to verify nonce
function my_plugin_verify_nonce( $nonce, $action ) {
    return wp_verify_nonce( $nonce, $action );
}


$apiUrl = "https://aiharness.io/portal/api/";
// $apiUrl = "http://localhost/AiHarness-PortalMerge/api/";

?>